# HTML Parameter Reference

$Id: param.xweb 8345 2009-03-16 06:44:07Z bobstayton $
Walsh
Norman
1999
2000
2001
2002
2003
2004
2005
2006
2007
Norman Walsh

This is reference documentation for all user-configurable parameters in the DocBook XSL HTML stylesheets (for generating HTML output).

## Admonitions

admon.graphics.extension
string

## admon.graphics.extension

Filename extension for admonition graphics

    <xsl:param name="admon.graphics.extension">.png</xsl:param>

### Description

Sets the filename extension to use on admonition graphics.

admon.graphics.path
string

## admon.graphics.path

Path to admonition graphics

    <xsl:param name="admon.graphics.path">images/</xsl:param>

### Description

Sets the path to the directory containing the admonition graphics (caution.png, important.png etc). This location is normally relative to the output html directory. See `base.dir`

admon.graphics
boolean

## admon.graphics

Use graphics in admonitions?

    <xsl:param name="admon.graphics" select="0"></xsl:param>

### Description

If true (non-zero), admonitions are presented in an alternate style that uses a graphic. Default graphics are provided in the distribution.

admon.textlabel
boolean

## admon.textlabel

Use text label in admonitions?

    <xsl:param name="admon.textlabel" select="1"></xsl:param>

### Description

If true (non-zero), admonitions are presented with a generated text label such as Note or Warning in the appropriate language. If zero, such labels are turned off, but any title child of the admonition element are still output. The default value is 1.

admon.style
string

## admon.style

Specifies the CSS style attribute that should be added to admonitions.

    <xsl:param name="admon.style">
      <xsl:value-of select="concat('margin-', $direction.align.start,            ': 0.5in; margin-', $direction.align.end, ': 0.5in;')"></xsl:value-of>
    </xsl:param>

### Description

Specifies the value of the CSS `style` attribute that should be added to admonitions.

## Callouts

callout.defaultcolumn
integer

## callout.defaultcolumn

Indicates what column callouts appear in by default

    <xsl:param name="callout.defaultcolumn">60</xsl:param>

### Description

If a callout does not identify a column (for example, if it uses the `linerange` `unit`), it will appear in the default column.

callout.graphics.extension
string

## callout.graphics.extension

Filename extension for callout graphics

    <xsl:param name="callout.graphics.extension">.png</xsl:param>

### Description

Sets the filename extension to use on callout graphics.

The Docbook XSL distribution provides callout graphics in the following formats:

- SVG (extension: `.svg`)

- PNG (extension: `.png`)

- GIF (extension: `.gif`)

callout.graphics.number.limit
integer

## callout.graphics.number.limit

Number of the largest callout graphic

    <xsl:param name="callout.graphics.number.limit">15</xsl:param>

### Description

If `callout.graphics` is non-zero, graphics are used to represent callout numbers instead of plain text. The value of `callout.graphics.number.limit` is the largest number for which a graphic exists. If the callout number exceeds this limit, the default presentation "(plain text instead of a graphic)" will be used.

callout.graphics.path
string

## callout.graphics.path

Path to callout graphics

    <xsl:param name="callout.graphics.path">images/callouts/</xsl:param>

### Description

Sets the path to the directory holding the callout graphics. his location is normally relative to the output html directory. see base.dir. Always terminate the directory with / since the graphic file is appended to this string, hence needs the separator.

callout.graphics
boolean

## callout.graphics

Use graphics for callouts?

    <xsl:param name="callout.graphics" select="1"></xsl:param>

### Description

If non-zero, callouts are presented with graphics (e.g., reverse-video circled numbers instead of "(1)", "(2)", etc.). Default graphics are provided in the distribution.

callout.list.table
boolean

## callout.list.table

Present callout lists using a table?

    <xsl:param name="callout.list.table" select="1"></xsl:param>

### Description

The default presentation of `calloutlist`s uses an HTML `DL` element. Some browsers don't align DLs very well if `callout.graphics` is used. With this option turned on, `calloutlist`s are presented in an HTML `TABLE`, which usually results in better alignment of the callout number with the callout description.

callout.unicode.number.limit
integer

## callout.unicode.number.limit

Number of the largest unicode callout character

    <xsl:param name="callout.unicode.number.limit">10</xsl:param>

### Description

If `callout.unicode` is non-zero, unicode characters are used to represent callout numbers. The value of `callout.unicode.number.limit` is the largest number for which a unicode character exists. If the callout number exceeds this limit, the default presentation "(nnn)" will always be used.

callout.unicode.start.character
integer

## callout.unicode.start.character

First Unicode character to use, decimal value.

    <xsl:param name="callout.unicode.start.character">10102</xsl:param>

### Description

If `callout.graphics` is zero and `callout.unicode` is non-zero, unicode characters are used to represent callout numbers. The value of `callout.unicode.start.character` is the decimal unicode value used for callout number one. Currently, only 10102 is supported in the stylesheets for this parameter.

callout.unicode
boolean

## callout.unicode

Use Unicode characters rather than images for callouts.

    <xsl:param name="callout.unicode" select="0"></xsl:param>

### Description

The stylesheets can use either an image of the numbers one to ten, or the single Unicode character which represents the numeral, in white on a black background. Use this to select the Unicode character option.

callouts.extension
boolean

## callouts.extension

Enable the callout extension

    <xsl:param name="callouts.extension" select="1"></xsl:param>

### Description

The callouts extension processes `areaset` elements in `ProgramListingCO` and other text-based callout elements.

## EBNF

ebnf.table.bgcolor
color

## ebnf.table.bgcolor

Background color for EBNF tables

    <xsl:param name="ebnf.table.bgcolor">#F5DCB3</xsl:param>

### Description

Sets the background color for EBNF tables (a pale brown). No `bgcolor` attribute is output if `ebnf.table.bgcolor` is set to the null string.

ebnf.table.border
boolean

## ebnf.table.border

Selects border on EBNF tables

    <xsl:param name="ebnf.table.border" select="1"></xsl:param>

### Description

Selects the border on EBNF tables. If non-zero, the tables have borders, otherwise they don't.

ebnf.assignment
rtf

## ebnf.assignment

The EBNF production assignment operator

    <xsl:param name="ebnf.assignment">
    <code>::=</code>
    </xsl:param>

### Description

The `ebnf.assignment` parameter determines what text is used to show assignment in `production`s in `productionset`s.

While `::=` is common, so are several other operators.

ebnf.statement.terminator
rtf

## ebnf.statement.terminator

Punctuation that ends an EBNF statement.

    <xsl:param name="ebnf.statement.terminator"></xsl:param>

### Description

The `ebnf.statement.terminator` parameter determines what text is used to terminate each `production` in `productionset`.

Some notations end each statement with a period.

## ToC/LoT/Index Generation

annotate.toc
boolean

## annotate.toc

Annotate the Table of Contents?

    <xsl:param name="annotate.toc" select="1"></xsl:param>

### Description

If true, TOCs will be annotated. At present, this just means that the `refpurpose` of `refentry` TOC entries will be displayed.

autotoc.label.separator
string

## autotoc.label.separator

Separator between labels and titles in the ToC

    <xsl:param name="autotoc.label.separator">. </xsl:param>

### Description

String used to separate labels and titles in a table of contents.

autotoc.label.in.hyperlink
boolean

## autotoc.label.in.hyperlink

Include label in hyperlinked titles in TOC?

    <xsl:param name="autotoc.label.in.hyperlink" select="1"></xsl:param>

### Description

If the value of `autotoc.label.in.hyperlink` is non-zero, labels are included in hyperlinked titles in the TOC. If it is instead zero, labels are still displayed prior to the hyperlinked titles, but are not hyperlinked along with the titles.

process.source.toc
boolean

## process.source.toc

Process a non-empty `toc` element if it occurs in a source document?

    <xsl:param name="process.source.toc" select="0"></xsl:param>

### Description

Specifies that the contents of a non-empty "hard-coded" `toc` element in a source document are processed to generate a TOC in output.

This parameter has no effect on automated generation of TOCs. An automated TOC may still be generated along with the "hard-coded" TOC. To suppress automated TOC generation, adjust the value of the `generate.toc` paramameter.

The `process.source.toc` parameter also has no effect if the `toc` element is empty; handling for empty `toc` is controlled by the `process.empty.source.toc` parameter.

process.empty.source.toc
boolean

## process.empty.source.toc

Generate automated TOC if `toc` element occurs in a source document?

    <xsl:param name="process.empty.source.toc" select="0"></xsl:param>

### Description

Specifies that if an empty `toc` element is found in a source document, an automated TOC is generated at this point in the document.

Depending on what the value of the `generate.toc` parameter is, setting this parameter to `1` could result in generation of duplicate automated TOCs. So the `process.empty.source.toc` is primarily useful as an "override": by placing an empty `toc` in your document and setting this parameter to `1`, you can force a TOC to be generated even if `generate.toc` says not to.

bridgehead.in.toc
boolean

## bridgehead.in.toc

Should bridgehead elements appear in the TOC?

    <xsl:param name="bridgehead.in.toc" select="0"></xsl:param>

### Description

If non-zero, `bridgehead`s appear in the TOC. Note that this option is not fully supported and may be removed in a future version of the stylesheets.

simplesect.in.toc
boolean

## simplesect.in.toc

Should `simplesect` elements appear in the TOC?

    <xsl:param name="simplesect.in.toc" select="0"></xsl:param>

### Description

If non-zero, `simplesect`s will be included in the TOC.

manual.toc
string

## manual.toc

An explicit TOC to be used for the TOC

    <xsl:param name="manual.toc"></xsl:param>

### Description

The `manual.toc` identifies an explicit TOC that will be used for building the printed TOC.

toc.list.type
list
dl
ul
ol

## toc.list.type

Type of HTML list element to use for Tables of Contents

    <xsl:param name="toc.list.type">dl</xsl:param>

### Description

When an automatically generated Table of Contents (or List of Titles) is produced, this HTML element will be used to make the list.

toc.section.depth
integer

## toc.section.depth

How deep should recursive `section`s appear in the TOC?

    <xsl:param name="toc.section.depth">2</xsl:param>

### Description

Specifies the depth to which recursive sections should appear in the TOC.

toc.max.depth
integer

## toc.max.depth

How many levels should be created for each TOC?

    <xsl:param name="toc.max.depth">8</xsl:param>

### Description

Specifies the maximal depth of TOC on all levels.

generate.toc
table

## generate.toc

Control generation of ToCs and LoTs

    <xsl:param name="generate.toc">
    appendix  toc,title
    article/appendix  nop
    article   toc,title
    book      toc,title,figure,table,example,equation
    chapter   toc,title
    part      toc,title
    preface   toc,title
    qandadiv  toc
    qandaset  toc
    reference toc,title
    sect1     toc
    sect2     toc
    sect3     toc
    sect4     toc
    sect5     toc
    section   toc
    set       toc,title
    </xsl:param>

### Description

This parameter has a structured value. It is a table of space-delimited path/value pairs. Each path identifies some element in the source document using a restricted subset of XPath (only the implicit child axis, no wildcards, no predicates). Paths can be either relative or absolute.

When processing a particular element, the stylesheets consult this table to determine if a ToC (or LoT(s)) should be generated.

For example, consider the entry:

    book toc,figure

This indicates that whenever a `book` is formatted, a Table Of Contents and a List of Figures should be generated. Similarly,

    /chapter toc

indicates that whenever a document that has a root of `chapter` is formatted, a Table of Contents should be generated. The entry `chapter` would match all chapters, but `/chapter` matches only `chapter` document elements.

Generally, the longest match wins. So, for example, if you want to distinguish articles in books from articles in parts, you could use these two entries:

    book/article toc,figure
    part/article toc

Note that an article in a part can never match a `book/article`, so if you want nothing to be generated for articles in parts, you can simply leave that rule out.

If you want to leave the rule in, to make it explicit that you're turning something off, use the value nop. For example, the following entry disables ToCs and LoTs for articles:

    article nop

Do not simply leave the word article in the file without a matching value. That'd be just begging the silly little path/value parser to get confused.

Section ToCs are further controlled by the `generate.section.toc.level` parameter. For a given section level to have a ToC, it must have both an entry in `generate.toc` and be within the range enabled by `generate.section.toc.level`.

generate.section.toc.level
integer

## generate.section.toc.level

Control depth of TOC generation in sections

    <xsl:param name="generate.section.toc.level" select="0"></xsl:param>

### Description

The `generate.section.toc.level` parameter controls the depth of `section` in which TOCs will be generated. Note that this is related to, but not the same as `toc.section.depth`, which controls the depth to which TOC entries will be generated in a given TOC.

If, for example, `generate.section.toc.level` is `3`, TOCs will be generated in first, second, and third level sections, but not in fourth level sections.

generate.index
boolean

## generate.index

Do you want an index?

    <xsl:param name="generate.index" select="1"></xsl:param>

### Description

Specify if an index should be generated.

index.method
list
basic
kosek
kimber

## index.method

Select method used to group index entries in an index

    <xsl:param name="index.method">basic</xsl:param>

### Description

This parameter lets you select which method to use for sorting and grouping index entries in an index. Indexes in Latin-based languages that have accented characters typically sort together accented words and unaccented words. Thus Á (U+00C1 LATIN CAPITAL LETTER A WITH ACUTE) would sort together with A (U+0041 LATIN CAPITAL LETTER A), so both would appear in the A section of the index. Languages using other alphabets (such as Russian, which is written in the Cyrillic alphabet) and languages using ideographic chararacters (such as Japanese) require grouping specific to the languages and alphabets.

The default indexing method is limited. It can group accented characters in Latin-based languages only. It cannot handle non-Latin alphabets or ideographic languages. The other indexing methods require extensions of one type or another, and do not work with all XSLT processors, which is why they are not used by default.

The three choices for indexing method are:

`basic`

  (default) Sort and groups words based only on the Latin alphabet. Words with accented Latin letters will group and sort with their respective primary letter, but words in non-Latin alphabets will be put in the Symbols section of the index.

`kosek`

  This method sorts and groups words based on letter groups configured in the DocBook locale file for the given language. See, for example, the French locale file `common/fr.xml`. This method requires that the XSLT processor supports the EXSLT extensions (most do). It also requires support for using user-defined functions in xsl:key (xsltproc does not).

  This method is suitable for any language for which you can list all the individual characters that should appear in each letter group in an index. It is probably not practical to use it for ideographic languages such as Chinese that have hundreds or thousands of characters.

  To use the kosek method, you must:

  1. Use a processor that supports its extensions, such as Saxon 6 or Xalan (xsltproc and Saxon 8 do not).

  2. Set the index.method parameter's value to kosek.

  3. Import the appropriate index extensions stylesheet module `fo/autoidx-kosek.xsl` or `html/autoidx-kosek.xsl` into your customization.

`kimber`

  This method uses extensions to the Saxon processor to implement sophisticated indexing processes. It uses its own configuration file, which can include information for any number of languages. Each language's configuration can group words using one of two processes. In the enumerated process similar to that used in the kosek method, you indicate the groupings character-by-character. In the between-key process, you specify the break-points in the sort order that should start a new group. The latter configuration is useful for ideographic languages such as Chinese, Japanese, and Korean. You can also define your own collation algorithms and how you want mixed Latin-alphabet words sorted.

  - For a whitepaper describing the extensions, see: http://www.innodata-isogen.com/knowledge_center/white_papers/back_of_book_for_xsl_fo.pdf.

  - To download the extension library, see http://www.innodata-isogen.com/knowledge_center/tools_downloads/i18nsupport.

  To use the kimber method, you must:

  1. Use Saxon (version 6 or 8) as your XSLT processor.

  2. Install and configure the Innodata Isogen library, using the documentation that comes with it.

  3. Set the index.method parameter's value to kimber.

  4. Import the appropriate index extensions stylesheet module `fo/autoidx-kimber.xsl` or `html/autoidx-kimber.xsl` into your customization.

index.on.type
boolean

## index.on.type

Select indexterms based on `type` attribute value

    <xsl:param name="index.on.type" select="0"></xsl:param>

### Description

If non-zero, then an `index` element that has a `type` attribute value will contain only those `indexterm` elements with a matching `type` attribute value. If an `index` has no `type` attribute or it is blank, then the index will contain all `indexterm`s in the current scope.

If `index.on.type` is zero, then the `type` attribute has no effect on selecting indexterms for an index.

For those using DocBook version 4.2 or earlier, the `type` attribute is not available for index terms. However, you can achieve the same effect by using the `role` attribute in the same manner on `indexterm` and `index`, and setting the stylesheet parameter `index.on.role` to a nonzero value.

index.on.role
boolean

## index.on.role

Select indexterms based on `role` value

    <xsl:param name="index.on.role" select="0"></xsl:param>

### Description

If non-zero, then an `index` element that has a `role` attribute value will contain only those `indexterm` elements with a matching role value. If an `index` has no `role` attribute or it is blank, then the index will contain all `indexterm`s in the current scope.

If `index.on.role` is zero, then the `role` attribute has no effect on selecting indexterms for an index.

If you are using DocBook version 4.3 or later, you should use the `type` attribute instead of `role` on `indexterm` and `index`, and set the `index.on.type` to a nonzero value.

index.links.to.section
boolean

## index.links.to.section

HTML index entries link to container section title

    <xsl:param name="index.links.to.section" select="1"></xsl:param>

### Description

If zero, then an index entry in an index links directly to the location of the generated `anchor` that is output for the indexterm. If two identical indexterm elements exist in the same section, then both entries appear in the index with the same title but link to different locations.

If non-zero, then an index entry in an index links to the section title containing the `indexterm`, rather than directly to the `anchor` output for the indexterm. Duplicate indexterm entries in the same section are dropped.

The default value is 1, so index entries link to section titles by default.

In both cases, the link text in an index entry is the title of the section containing the indexterm. That is because HTML does not have numbered pages. It also provides the reader with context information for each link.

This parameter lets you choose which style of index linking you want.

- When set to 0, an index entry takes you to the precise location of its corresponding indexterm. However, if you have a lot of duplicate entries in sections, then you have a lot of duplicate titles in the index, which makes it more cluttered. The reader may not recognize why duplicate titles appear until they follow the links. Also, the links may land the reader in the middle of a section where the section title is not visible, which may also be confusing to the reader.

- When set to 1, an index entry link is less precise, but duplicate titles in the index entries are eliminated. Landing on the section title location may confirm the reader's expectation that a link that shows a section title will take them to that section title, not a location within the section.

index.prefer.titleabbrev
boolean

## index.prefer.titleabbrev

Should abbreviated titles be used as back references?

    <xsl:param name="index.prefer.titleabbrev" select="0"></xsl:param>

### Description

If non-zero, and if a `titleabbrev` is defined, the abbreviated title is used as the link text of a back reference in the index.

index.term.separator
string

## index.term.separator

Override for punctuation separating an index term from its list of page references in an index

    <xsl:param name="index.term.separator"></xsl:param>

### Description

This parameter permits you to override the text to insert between the end of an index term and its list of page references. Typically that might be a comma and a space.

Because this text may be locale dependent, this parameter's value is normally taken from a gentext template named 'term-separator' in the context 'index' in the stylesheet locale file for the language of the current document. This parameter can be used to override the gentext string, and would typically be used on the command line. This parameter would apply to all languages.

So this text string can be customized in two ways. You can reset the default gentext string using the `local.l10n.xml` parameter, or you can fill in the content for this normally empty override parameter. The content can be a simple string, or it can be something more complex such as a call-template. For fo output, it could be an `fo:leader` element to provide space of a specific length, or a dot leader.

index.number.separator
string

## index.number.separator

Override for punctuation separating page numbers in index

    <xsl:param name="index.number.separator"></xsl:param>

### Description

This parameter permits you to override the text to insert between page references in a formatted index entry. Typically that would be a comma and a space.

Because this text may be locale dependent, this parameter's value is normally taken from a gentext template named 'number-separator' in the context 'index' in the stylesheet locale file for the language of the current document. This parameter can be used to override the gentext string, and would typically be used on the command line. This parameter would apply to all languages.

So this text string can be customized in two ways. You can reset the default gentext string using the `local.l10n.xml` parameter, or you can override the gentext with the content of this parameter. The content can be a simple string, or it can be something more complex such as a call-template.

In HTML index output, section title references are used instead of page number references. This punctuation appears between such section titles in an HTML index.

index.range.separator
string

## index.range.separator

Override for punctuation separating the two numbers in a page range in index

    <xsl:param name="index.range.separator"></xsl:param>

### Description

This parameter permits you to override the text to insert between the two numbers of a page range in an index. This parameter is only used by those XSL-FO processors that support an extension for generating such page ranges (such as XEP).

Because this text may be locale dependent, this parameter's value is normally taken from a gentext template named 'range-separator' in the context 'index' in the stylesheet locale file for the language of the current document. This parameter can be used to override the gentext string, and would typically be used on the command line. This parameter would apply to all languages.

So this text string can be customized in two ways. You can reset the default gentext string using the `local.l10n.xml` parameter, or you can override the gentext with the content of this parameter. The content can be a simple string, or it can be something more complex such as a call-template.

In HTML index output, section title references are used instead of page number references. So there are no page ranges and this parameter has no effect.

## Stylesheet Extensions

linenumbering.everyNth
integer

## linenumbering.everyNth

Indicate which lines should be numbered

    <xsl:param name="linenumbering.everyNth">5</xsl:param>

### Description

If line numbering is enabled, everyNth line will be numbered. Note that numbering is one based, not zero based.

linenumbering.extension
boolean

## linenumbering.extension

Enable the line numbering extension

    <xsl:param name="linenumbering.extension" select="1"></xsl:param>

### Description

If non-zero, verbatim environments (`address`, `literallayout`, `programlisting`, `screen`, `synopsis`) that specify line numbering will have line numbers.

linenumbering.separator
string

## linenumbering.separator

Specify a separator between line numbers and lines

    <xsl:param name="linenumbering.separator"><xsl:text> </xsl:text></xsl:param>

### Description

The separator is inserted between line numbers and lines in the verbatim environment. The default value is a single white space. Note the interaction with `linenumbering.width`

linenumbering.width
integer

## linenumbering.width

Indicates the width of line numbers

    <xsl:param name="linenumbering.width">3</xsl:param>

### Description

If line numbering is enabled, line numbers will appear right justified in a field "width" characters wide.

tablecolumns.extension
boolean

## tablecolumns.extension

Enable the table columns extension function

    <xsl:param name="tablecolumns.extension" select="1"></xsl:param>

### Description

The table columns extension function adjusts the widths of table columns in the HTML result to more accurately reflect the specifications in the CALS table.

textinsert.extension
boolean

## textinsert.extension

Enables the textinsert extension element

      <xsl:param name="textinsert.extension" select="1"></xsl:param>

### Description

The textinsert extension element inserts the contents of a file into the result tree (as text).

To use the textinsert extension element, you must use either Saxon or Xalan as your XSLT processor (it doesn’t work with xsltproc), along with either the DocBook Saxon extensions or DocBook Xalan extensions (for more information about those extensions, see DocBook Saxon Extensions and DocBook Xalan Extensions), and you must set both the `use.extensions` and `textinsert.extension` parameters to `1`.

As an alternative to using the textinsert element, consider using an Xinclude element with the `parse="text"` attribute and value specified, as detailed in Using XInclude for text inclusions.

### See Also

You can also use the `dbhtml-include href` processing instruction to insert external files — both files containing plain text and files with markup content (including HTML content).

### More information

For how-to documentation on inserting contents of external code files and other text files into output, see External code files.

For guidelines on inserting contents of HTML files into output, see Inserting external HTML code.

textdata.default.encoding
string

## textdata.default.encoding

Default encoding of external text files which are included using textdata element

    <xsl:param name="textdata.default.encoding"></xsl:param>

### Description

Specifies the encoding of any external text files included using `textdata` element. This value is used only when you do not specify encoding by the appropriate attribute directly on textdata. An empty string is interpreted as the system default encoding.

graphicsize.extension
boolean

## graphicsize.extension

Enable the getWidth()/getDepth() extension functions

    <xsl:param name="graphicsize.extension" select="1"></xsl:param>

### Description

If non-zero (and if `use.extensions` is non-zero and if you're using a processor that supports extension functions), the `getWidth` and `getDepth` functions will be used to extract image sizes from graphics.

graphicsize.use.img.src.path
boolean

## graphicsize.use.img.src.path

Prepend `img.src.path` before filenames passed to extension functions

    <xsl:param name="graphicsize.use.img.src.path" select="0"></xsl:param>

### Description

If non-zero `img.src.path` parameter will be appended before filenames passed to extension functions for measuring image dimensions.

use.extensions
boolean

## use.extensions

Enable extensions

    <xsl:param name="use.extensions" select="0"></xsl:param>

### Description

If non-zero, extensions may be used. Each extension is further controlled by its own parameter. But if `use.extensions` is zero, no extensions will be used.

## Automatic labelling

chapter.autolabel
list
0none
11,2,3...
AA,B,C...
aa,b,c...
ii,ii,iii...
II,II,III...

## chapter.autolabel

Specifies the labeling format for Chapter titles

    <xsl:param name="chapter.autolabel" select="1"></xsl:param>

### Description

If non-zero, then chapters will be numbered using the parameter value as the number format if the value matches one of the following:

1 or arabic

  Arabic numeration (1, 2, 3 ...).

A or upperalpha

  Uppercase letter numeration (A, B, C ...).

a or loweralpha

  Lowercase letter numeration (a, b, c ...).

I or upperroman

  Uppercase roman numeration (I, II, III ...).

i or lowerroman

  Lowercase roman letter numeration (i, ii, iii ...).

Any nonzero value other than the above will generate the default number format (arabic).

appendix.autolabel
list
0none
11,2,3...
AA,B,C...
aa,b,c...
ii,ii,iii...
II,II,III...

## appendix.autolabel

Specifies the labeling format for Appendix titles

    <xsl:param name="appendix.autolabel">A</xsl:param>

### Description

If non-zero, then appendices will be numbered using the parameter value as the number format if the value matches one of the following:

1 or arabic

  Arabic numeration (1, 2, 3 ...).

A or upperalpha

  Uppercase letter numeration (A, B, C ...).

a or loweralpha

  Lowercase letter numeration (a, b, c ...).

I or upperroman

  Uppercase roman numeration (I, II, III ...).

i or lowerroman

  Lowercase roman letter numeration (i, ii, iii ...).

Any nonzero value other than the above will generate the default number format (upperalpha).

part.autolabel
list
0none
11,2,3...
AA,B,C...
aa,b,c...
ii,ii,iii...
II,II,III...

## part.autolabel

Specifies the labeling format for Part titles

    <xsl:param name="part.autolabel">I</xsl:param>

### Description

If non-zero, then parts will be numbered using the parameter value as the number format if the value matches one of the following:

1 or arabic

  Arabic numeration (1, 2, 3 ...).

A or upperalpha

  Uppercase letter numeration (A, B, C ...).

a or loweralpha

  Lowercase letter numeration (a, b, c ...).

I or upperroman

  Uppercase roman numeration (I, II, III ...).

i or lowerroman

  Lowercase roman letter numeration (i, ii, iii ...).

Any nonzero value other than the above will generate the default number format (upperroman).

reference.autolabel
list
0none
11,2,3...
AA,B,C...
aa,b,c...
ii,ii,iii...
II,II,III...

## reference.autolabel

Specifies the labeling format for Reference titles

      <xsl:param name="reference.autolabel">I</xsl:param>

### Description

If non-zero, references will be numbered using the parameter value as the number format if the value matches one of the following:

1 or arabic

  Arabic numeration (1, 2, 3 ...).

A or upperalpha

  Uppercase letter numeration (A, B, C ...).

a or loweralpha

  Lowercase letter numeration (a, b, c ...).

I or upperroman

  Uppercase roman numeration (I, II, III ...).

i or lowerroman

  Lowercase roman letter numeration (i, ii, iii ...).

Any non-zero value other than the above will generate the default number format (upperroman).

preface.autolabel
list
0none
11,2,3...
AA,B,C...
aa,b,c...
ii,ii,iii...
II,II,III...

## preface.autolabel

Specifices the labeling format for Preface titles

    <xsl:param name="preface.autolabel" select="0"></xsl:param>

### Description

If non-zero then prefaces will be numbered using the parameter value as the number format if the value matches one of the following:

1 or arabic

  Arabic numeration (1, 2, 3 ...).

A or upperalpha

  Uppercase letter numeration (A, B, C ...).

a or loweralpha

  Lowercase letter numeration (a, b, c ...).

I or upperroman

  Uppercase roman numeration (I, II, III ...).

i or lowerroman

  Lowercase roman letter numeration (i, ii, iii ...).

Any nonzero value other than the above will generate the default number format (arabic).

qandadiv.autolabel
boolean

## qandadiv.autolabel

Are divisions in QAndASets enumerated?

    <xsl:param name="qandadiv.autolabel" select="1"></xsl:param>

### Description

If non-zero, unlabeled qandadivs will be enumerated.

section.autolabel
boolean

## section.autolabel

Are sections enumerated?

    <xsl:param name="section.autolabel" select="0"></xsl:param>

### Description

If true (non-zero), unlabeled sections will be enumerated.

section.autolabel.max.depth
integer

## section.autolabel.max.depth

The deepest level of sections that are numbered.

    <xsl:param name="section.autolabel.max.depth">8</xsl:param>

### Description

When section numbering is turned on by the `section.autolabel` parameter, then this parameter controls the depth of `section` nesting that is numbered. Sections nested to a level deeper than this value will not be numbered.

section.label.includes.component.label
boolean

## section.label.includes.component.label

Do section labels include the component label?

    <xsl:param name="section.label.includes.component.label" select="0"></xsl:param>

### Description

If non-zero, section labels are prefixed with the label of the component that contains them.

label.from.part
boolean

## label.from.part

Renumber components in each part?

    <xsl:param name="label.from.part" select="0"></xsl:param>

### Description

If `label.from.part` is non-zero, then numbering of components — `preface`, `chapter`, `appendix`, and `reference` (when `reference` occurs at the component level) — is re-started within each `part`.

If `label.from.part` is zero (the default), numbering of components is not re-started within each `part`; instead, components are numbered sequentially throughout each `book`, regardless of whether or not they occur within `part` instances.

component.label.includes.part.label
boolean

## component.label.includes.part.label

Do component labels include the part label?

    <xsl:param name="component.label.includes.part.label" select="0"></xsl:param>

### Description

If non-zero, number labels for `chapter`, `appendix`, and other component elements are prefixed with the label of the part element that contains them. So you might see Chapter II.3 instead of Chapter 3. Also, the labels for formal elements such as `table` and `figure` will include the part label. If there is no part element container, then no prefix is generated.

This feature is most useful when the `label.from.part` parameter is turned on. In that case, there would be more than one `chapter` 1, and the extra part label prefix will identify each chapter unambiguously.

## HTML

html.base
uri

## html.base

An HTML base URI

    <xsl:param name="html.base"></xsl:param>

### Description

If html.base is set, it is used for the `base` element in the `head` of the html documents. The parameter specifies the base URL for all relative URLs in the document. This is useful for dynamically served html where the base URI needs to be shifted.

html.stylesheet.type
string

## html.stylesheet.type

The type of the stylesheet used in the generated HTML

    <xsl:param name="html.stylesheet.type">text/css</xsl:param>

### Description

The type of the stylesheet to place in the HTML `link` tag.

html.stylesheet
string

## html.stylesheet

Name of the stylesheet(s) to use in the generated HTML

    <xsl:param name="html.stylesheet"></xsl:param>

### Description

The `html.stylesheet` parameter is either empty, indicating that no stylesheet `link` tag should be generated in the html output, or it is a list of one or more stylesheet files.

Multiple stylesheets are space-delimited. If you need to reference a stylesheet URI that includes a space, encode it with `%20`. A separate html `link` element will be generated for each stylesheet in the order they are listed in the parameter.

css.decoration
boolean

## css.decoration

Enable CSS decoration of elements

    <xsl:param name="css.decoration" select="1"></xsl:param>

### Description

If non-zero, then html elements produced by the stylesheet may be decorated with `style` attributes. For example, the `li` tags produced for list items may include a fragment of CSS in the `style` attribute which sets the CSS property "list-style-type".

spacing.paras
boolean

## spacing.paras

Insert additional <p> elements for spacing?

    <xsl:param name="spacing.paras" select="0"></xsl:param>

### Description

When non-zero, additional, empty paragraphs are inserted in several contexts (for example, around informal figures), to create a more pleasing visual appearance in many browsers.

emphasis.propagates.style
boolean

## emphasis.propagates.style

Pass emphasis role attribute through to HTML?

    <xsl:param name="emphasis.propagates.style" select="1"></xsl:param>

### Description

If non-zero, the `role` attribute of `emphasis` elements will be passed through to the HTML as a class attribute on a `span` that surrounds the emphasis.

para.propagates.style
boolean

## para.propagates.style

Pass para role attribute through to HTML?

    <xsl:param name="para.propagates.style" select="1"></xsl:param>

### Description

If true, the role attribute of `para` elements will be passed through to the HTML as a class attribute on the `p` generated for the paragraph.

phrase.propagates.style
boolean

## phrase.propagates.style

Pass phrase role attribute through to HTML?

    <xsl:param name="phrase.propagates.style" select="1"></xsl:param>

### Description

If non-zero, the role attribute of `phrase` elements will be passed through to the HTML as a `class` attribute on a `span` that surrounds the phrase.

entry.propagates.style
boolean

## entry.propagates.style

Pass entry role attribute through to HTML?

    <xsl:param name="entry.propagates.style" select="1"></xsl:param>

### Description

If true, the role attribute of `entry` elements will be passed through to the HTML as a class attribute on the `td` or `th` generated for the table cell.

html.longdesc
boolean

## html.longdesc

Should longdesc URIs be created?

    <xsl:param name="html.longdesc" select="1"></xsl:param>

### Description

If non-zero, HTML files will be created for the `longdesc` attribute. These files are created from the `textobject`s in `mediaobject`s and `inlinemediaobject`.

html.longdesc.link
boolean

## html.longdesc.link

Should a link to the longdesc be included in the HTML?

    <xsl:param name="html.longdesc.link" select="$html.longdesc"></xsl:param>

### Description

If non-zero, links will be created to the HTML files created for the `longdesc` attribute. It makes no sense to enable this option without also enabling the `html.longdesc` parameter.

make.valid.html
boolean

## make.valid.html

Attempt to make sure the HTML output is valid HTML

    <xsl:param name="make.valid.html" select="0"></xsl:param>

### Description

If `make.valid.html` is true, the stylesheets take extra effort to ensure that the resulting HTML is valid. This may mean that some `para` tags are translated into HTML `div`s or that other substitutions occur.

This parameter is different from `html.cleanup` because it changes the resulting markup; it does not use extension functions to manipulate result-tree-fragments and is therefore applicable to any XSLT processor.

html.cleanup
boolean

## html.cleanup

Attempt to clean up the resulting HTML?

    <xsl:param name="html.cleanup" select="1"></xsl:param>

### Description

If non-zero, and if the EXSLT extensions are supported by your processor, the resulting HTML will be cleaned up. This improves the chances that the resulting HTML will be valid. It may also improve the formatting of some elements.

This parameter is different from `make.valid.html` because it uses extension functions to manipulate result-tree-fragments.

html.append
string

## html.append

Specifies content to append to HTML output

    <xsl:param name="html.append"></xsl:param>

### Description

Specifies content to append to the end of HTML files output by the `html/docbook.xsl` stylesheet, after the closing `<html>` tag. You probably don’t want to set any value for this parameter; but if you do, the only value it should ever be set to is a newline character: `&#x0a;` or `&#10;`

draft.mode
list
no
yes
maybe

## draft.mode

Select draft mode

    <xsl:param name="draft.mode">maybe</xsl:param>

### Description

Selects draft mode. If `draft.mode` is `yes`, the entire document will be treated as a draft. If it is `no`, the entire document will be treated as a final copy. If it is `maybe`, individual sections will be treated as draft or final independently, depending on how their `status` attribute is set.

draft.watermark.image
uri

## draft.watermark.image

The URI of the image to be used for draft watermarks

    <xsl:param name="draft.watermark.image">http://docbook.sourceforge.net/release/images/draft.png</xsl:param>

### Description

The image to be used for draft watermarks.

generate.id.attributes
boolean

## generate.id.attributes

Generate ID attributes on container elements?

    <xsl:param name="generate.id.attributes" select="0"></xsl:param>

### Description

If non-zero, the HTML stylesheet will generate ID attributes on containers. For example, the markup:

    <section id="foo"><title>Some Title</title>
    <para>Some para.</para>
    </section>

might produce:

    <div class="section" id="foo">
    <h2>Some Title</h2>
    <p>Some para.</p>
    </div>

The alternative is to generate anchors:

    <div class="section">
    <h2><a name="foo"></a>Some Title</h2>
    <p>Some para.</p>
    </div>

Because the `name` attribute of the `a` element and the `id` attribute of other tags are both of type ID, producing both generates invalid documents.

As of version 1.50, you can use this switch to control which type of identifier is generated. For backwards-compatibility, generating `a` anchors is preferred.

Note: at present, this switch is incompletely implemented. Disabling ID attributes will suppress them, but enabling ID attributes will not suppress the anchors.

generate.meta.abstract
boolean

## generate.meta.abstract

Generate HTML `META` element from `abstract`?

    <xsl:param name="generate.meta.abstract" select="1"></xsl:param>

### Description

If non-zero, document abstracts will be reproduced in the HTML `head`, with `>meta name="description" content="..."`

## XSLT Processing

rootid
string

## rootid

Specify the root element to format

    <xsl:param name="rootid"></xsl:param>

### Description

If `rootid` is not empty, it must be the value of an ID that occurs in the document being formatted. The entire document will be loaded and parsed, but formatting will begin at the element identified, rather than at the root. For example, this allows you to process only `chapter` 4 of a `book`.

Because the entire document is available to the processor, automatic numbering, cross references, and other dependencies are correctly resolved.

suppress.navigation
boolean

## suppress.navigation

Disable header and footer navigation

    <xsl:param name="suppress.navigation" select="0"></xsl:param>

### Description

If non-zero, header and footer navigation will be suppressed.

suppress.header.navigation
boolean

## suppress.header.navigation

Disable header navigation

    <xsl:param name="suppress.header.navigation" select="0"></xsl:param>

### Description

If non-zero, header navigation will be suppressed.

suppress.footer.navigation
boolean

## suppress.footer.navigation

Disable footer navigation

    <xsl:param name="suppress.footer.navigation">0</xsl:param>

### Description

If non-zero, footer navigation will be suppressed.

header.rule
boolean

## header.rule

Rule under headers?

    <xsl:param name="header.rule" select="1"></xsl:param>

### Description

If non-zero, a rule will be drawn below the page headers.

footer.rule
boolean

## footer.rule

Rule over footers?

    <xsl:param name="footer.rule" select="1"></xsl:param>

### Description

If non-zero, a rule will be drawn above the page footers.

id.warnings
boolean

## id.warnings

Should warnings be generated for titled elements without IDs?

    <xsl:param name="id.warnings" select="0"></xsl:param>

### Description

If non-zero, the stylesheet will issue a warning for any element (other than the root element) which has a `title` but does not have an ID.

## Meta/*Info and Titlepages

inherit.keywords
boolean

## inherit.keywords

Inherit keywords from ancestor elements?

    <xsl:param name="inherit.keywords" select="1"></xsl:param>

### Description

If `inherit.keywords` is non-zero, the keyword `meta` for each HTML `head` element will include all of the keywords from ancestor elements. Otherwise, only the keywords from the current section will be used.

make.single.year.ranges
boolean

## make.single.year.ranges

Print single-year ranges (e.g., 1998-1999)

    <xsl:param name="make.single.year.ranges" select="0"></xsl:param>

### Description

If non-zero, year ranges that span a single year will be printed in range notation (1998-1999) instead of discrete notation (1998, 1999).

make.year.ranges
boolean

## make.year.ranges

Collate copyright years into ranges?

    <xsl:param name="make.year.ranges" select="0"></xsl:param>

### Description

If non-zero, multiple copyright `year` elements will be collated into ranges. This works only if each year number is put into a separate year element. The copyright element permits multiple year elements. If a year element contains a dash or a comma, then that year element will not be merged into any range.

author.othername.in.middle
boolean

## author.othername.in.middle

Is `othername` in `author` a middle name?

    <xsl:param name="author.othername.in.middle" select="1"></xsl:param>

### Description

If non-zero, the `othername` of an `author` appears between the `firstname` and `surname`. Otherwise, `othername` is suppressed.

blurb.on.titlepage.enabled
boolean

## blurb.on.titlepage.enabled

Display personblurb and authorblurb on title pages?

    <xsl:param name="blurb.on.titlepage.enabled" select="0"></xsl:param>

### Description

If non-zero, output from `authorblurb` and `personblurb` elements is displayed on title pages. If zero (the default), output from those elements is suppressed on title pages (unless you are using a `titlepage` customization that causes them to be included).

contrib.inline.enabled
boolean

## contrib.inline.enabled

Display contrib output inline?

    <xsl:param name="contrib.inline.enabled">1</xsl:param>

### Description

If non-zero (the default), output of the `contrib` element is displayed as inline content rather than as block content.

editedby.enabled
boolean

## editedby.enabled

Display “Edited by” heading above editor name?

    <xsl:param name="editedby.enabled">1</xsl:param>

### Description

If non-zero, a localized Edited by heading is displayed above editor names in output of the `editor` element.

abstract.notitle.enabled
boolean

## abstract.notitle.enabled

Suppress display of abstract titles?

    <xsl:param name="abstract.notitle.enabled" select="0"></xsl:param>

### Description

If non-zero, in output of the `abstract` element on titlepages, display of the abstract title is suppressed.

othercredit.like.author.enabled
boolean

## othercredit.like.author.enabled

Display othercredit in same style as author?

    <xsl:param name="othercredit.like.author.enabled">0</xsl:param>

### Description

If non-zero, output of the `othercredit` element on titlepages is displayed in the same style as `author` and `editor` output. If zero then `othercredit` output is displayed using a style different than that of `author` and `editor`.

generate.legalnotice.link
boolean

## generate.legalnotice.link

Write legalnotice to separate chunk and generate link?

    <xsl:param name="generate.legalnotice.link" select="0"></xsl:param>

### Description

If the value of `generate.legalnotice.link` is non-zero, the stylesheet:

- writes the contents of `legalnotice` to a separate HTML file

- inserts a hyperlink to the `legalnotice` file

- adds (in the HTML `head`) either a single `link` or element or multiple `link` elements (depending on the value of the `html.head.legalnotice.link.multiple` parameter), with the value or values derived from the `html.head.legalnotice.link.types` parameter

Otherwise, if `generate.legalnotice.link` is zero, `legalnotice` contents are rendered on the title page.

The name of the separate HTML file is computed as follows:

1. If a filename is given by the `dbhtml filename` processing instruction, that filename is used.

2. If the legalnotice has an `id`/`xml:id` attribute, and if `use.id.as.filename` != 0, the filename is the concatenation of the id value and the value of the `html.ext` parameter.

3. If the legalnotice does not have an `id`/`xml:id` attribute, or if `use.id.as.filename` = 0, the filename is the concatenation of "ln-", auto-generated id value, and `html.ext` value.

generate.revhistory.link
boolean

## generate.revhistory.link

Write revhistory to separate chunk and generate link?

    <xsl:param name="generate.revhistory.link" select="0"></xsl:param>

### Description

If non-zero, the contents of `revhistory` are written to a separate HTML file and a link to the file is generated. Otherwise, `revhistory` contents are rendered on the title page.

The name of the separate HTML file is computed as follows:

1. If a filename is given by the `dbhtml filename` processing instruction, that filename is used.

2. If the revhistory has an `id`/`xml:id` attribute, and if `use.id.as.filename` != 0, the filename is the concatenation of the id value and the value of the `html.ext` parameter.

3. If the revhistory does not have an `id`/`xml:id` attribute, or if `use.id.as.filename` = 0, the filename is the concatenation of "rh-", auto-generated id value, and `html.ext` value.

html.head.legalnotice.link.types
string

## html.head.legalnotice.link.types

Specifies link types for legalnotice link in html head

    <xsl:param name="html.head.legalnotice.link.types">copyright</xsl:param>

### Description

The value of `html.head.legalnotice.link.types` is a space-separated list of link types, as described in Section 6.12 of the HTML 4.01 specification. If the value of the `generate.legalnotice.link` parameter is non-zero, then the stylesheet generates (in the `head` section of the HTML source) either a single HTML `link` element or, if the value of the `html.head.legalnotice.link.multiple` is non-zero, one `link` element for each link type specified. Each `link` has the following attributes:

- a `rel` attribute whose value is derived from the value of `html.head.legalnotice.link.types`

- an `href` attribute whose value is set to the URL of the file containing the `legalnotice`

- a `title` attribute whose value is set to the title of the corresponding `legalnotice` (or a title programatically determined by the stylesheet)

For example:

      <link rel="license" href="ln-id2524073.html" title="Legal Notice">

#### About the default value

In an ideal world, the default value of `html.head.legalnotice.link.types` would probably be “`license`”, since the content of the DocBook `legalnotice` is typically license information, not copyright information. However, the default value is “`copyright`” for pragmatic reasons: because that’s among the set of “recognized link types” listed in Section 6.12 of the HTML 4.01 specification, and because certain browsers and browser extensions are preconfigured to recognize that value.

html.head.legalnotice.link.multiple
boolean

## html.head.legalnotice.link.multiple

Generate multiple link instances in html head for legalnotice?

    <xsl:param name="html.head.legalnotice.link.multiple" select="1"></xsl:param>

### Description

If `html.head.legalnotice.link.multiple` is non-zero and the value of `html.head.legalnotice.link.types` contains multiple link types, then the stylesheet generates (in the `head` section of the HTML source) one `link` element for each link type specified. For example, if the value of `html.head.legalnotice.link.types` is “`copyright license`”:

      <link rel="copyright" href="ln-id2524073.html" title="Legal Notice">
      <link rel="license" href="ln-id2524073.html" title="Legal Notice">

Otherwise, the stylesheet generates generates a single `link` instance; for example:

      <link rel="copyright license" href="ln-id2524073.html" title="Legal Notice">

## Reference Pages

funcsynopsis.decoration
boolean

## funcsynopsis.decoration

Decorate elements of a `funcsynopsis`?

    <xsl:param name="funcsynopsis.decoration" select="1"></xsl:param>

### Description

If non-zero, elements of the `funcsynopsis` will be decorated (e.g. rendered as bold or italic text). The decoration is controlled by templates that can be redefined in a customization layer.

funcsynopsis.style
list
ansi
kr

## funcsynopsis.style

What style of `funcsynopsis` should be generated?

    <xsl:param name="funcsynopsis.style">kr</xsl:param>

### Description

If `funcsynopsis.style` is `ansi`, ANSI-style function synopses are generated for a `funcsynopsis`, otherwise K&R-style function synopses are generated.

function.parens
boolean

## function.parens

Generate parens after a function?

    <xsl:param name="function.parens" select="0"></xsl:param>

### Description

If non-zero, the formatting of a `function` element will include generated parentheses.

refentry.generate.name
boolean

## refentry.generate.name

Output NAME header before `refname`s?

    <xsl:param name="refentry.generate.name" select="1"></xsl:param>

### Description

If non-zero, a "NAME" section title is output before the list of `refname`s. This parameter and `refentry.generate.title` are mutually exclusive. This means that if you change this parameter to zero, you should set `refentry.generate.title` to non-zero unless you want get quite strange output.

refentry.generate.title
boolean

## refentry.generate.title

Output title before `refname`s?

    <xsl:param name="refentry.generate.title" select="0"></xsl:param>

### Description

If non-zero, the reference page title or first name is output before the list of `refname`s. This parameter and `refentry.generate.name` are mutually exclusive. This means that if you change this parameter to non-zero, you should set `refentry.generate.name` to zero unless you want get quite strange output.

refentry.xref.manvolnum
boolean

## refentry.xref.manvolnum

Output `manvolnum` as part of `refentry` cross-reference?

    <xsl:param name="refentry.xref.manvolnum" select="1"></xsl:param>

### Description

if non-zero, the `manvolnum` is used when cross-referencing `refentry`s, either with `xref` or `citerefentry`.

citerefentry.link
boolean

## citerefentry.link

Generate URL links when cross-referencing RefEntrys?

    <xsl:param name="citerefentry.link" select="0"></xsl:param>

### Description

If non-zero, a web link will be generated, presumably to an online man->HTML gateway. The text of the link is generated by the `generate.citerefentry.link` template.

refentry.separator
boolean

## refentry.separator

Generate a separator between consecutive RefEntry elements?

    <xsl:param name="refentry.separator" select="1"></xsl:param>

### Description

If true, a separator will be generated between consecutive reference pages.

refclass.suppress
boolean

## refclass.suppress

Suppress display of refclass contents?

    <xsl:param name="refclass.suppress" select="0"></xsl:param>

### Description

If the value of `refclass.suppress` is non-zero, then display of `refclass` contents is suppressed in output.

## Tables

default.table.width
length

## default.table.width

The default width of tables

    <xsl:param name="default.table.width"></xsl:param>

### Description

If non-zero, this value will be used for the `width` attribute on `table`s that do not specify an alternate width (with the `dbhtml table-width` or `dbfo table-width` processing instruction).

nominal.table.width
length

## nominal.table.width

The (absolute) nominal width of tables

    <xsl:param name="nominal.table.width">6in</xsl:param>

### Description

In order to convert CALS column widths into HTML column widths, it is sometimes necessary to have an absolute table width to use for conversion of mixed absolute and relative widths. This value must be an absolute length (not a percentage).

table.borders.with.css
boolean

## table.borders.with.css

Use CSS to specify table, row, and cell borders?

    <xsl:param name="table.borders.with.css" select="0"></xsl:param>

### Description

If non-zero, CSS will be used to draw table borders.

table.cell.border.style
list
none
solid
dotted
dashed
double
groove
ridge
inset
outset
solid

## table.cell.border.style

Specifies the border style of table cells

    <xsl:param name="table.cell.border.style">solid</xsl:param>

### Description

Specifies the border style of table cells.

To control properties of cell borders in HTML output, you must also turn on the `table.borders.with.css` parameter.

table.cell.border.thickness
length

## table.cell.border.thickness

Specifies the thickness of table cell borders

    <xsl:param name="table.cell.border.thickness">0.5pt</xsl:param>

### Description

If non-zero, specifies the thickness of borders on table cells. The units are points. See CSS

To control properties of cell borders in HTML output, you must also turn on the `table.borders.with.css` parameter.

table.cell.border.color
color

## table.cell.border.color

Specifies the border color of table cells

    <xsl:param name="table.cell.border.color"></xsl:param>

### Description

Set the color of table cell borders. If non-zero, the value is used for the border coloration. See CSS. A `color` is either a keyword or a numerical RGB specification. Keywords are aqua, black, blue, fuchsia, gray, green, lime, maroon, navy, olive, orange, purple, red, silver, teal, white, and yellow.

To control properties of cell borders in HTML output, you must also turn on the `table.borders.with.css` parameter.

table.frame.border.style
list
none
solid
dotted
dashed
double
groove
ridge
inset
outset
solid

## table.frame.border.style

Specifies the border style of table frames

    <xsl:param name="table.frame.border.style">solid</xsl:param>

### Description

Specifies the border style of table frames.

table.frame.border.thickness
length

## table.frame.border.thickness

Specifies the thickness of the frame border

    <xsl:param name="table.frame.border.thickness">0.5pt</xsl:param>

### Description

Specifies the thickness of the border on the table's frame.

table.frame.border.color
color

## table.frame.border.color

Specifies the border color of table frames

    <xsl:param name="table.frame.border.color"></xsl:param>

### Description

Specifies the border color of table frames.

default.table.frame
string

## default.table.frame

The default framing of tables

    <xsl:param name="default.table.frame">all</xsl:param>

### Description

This value will be used when there is no frame attribute on the table.

html.cellspacing
integer

## html.cellspacing

Default value for cellspacing in HTML tables

    <xsl:param name="html.cellspacing"></xsl:param>

### Description

If non-zero, this value will be used as the default cellspacing value in HTML tables. nn for pixels or nn% for percentage length. E.g. 5 or 5%

html.cellpadding
integer

## html.cellpadding

Default value for cellpadding in HTML tables

    <xsl:param name="html.cellpadding"></xsl:param>

### Description

If non-zero, this value will be used as the default cellpadding value in HTML tables. nn for pixels or nn% for percentage length. E.g. 5 or 5%

## QAndASet

qanda.defaultlabel
list
number
qanda
none

## qanda.defaultlabel

Sets the default for defaultlabel on QandASet.

    <xsl:param name="qanda.defaultlabel">number</xsl:param>

### Description

If no `defaultlabel` attribute is specified on a `qandaset`, this value is used. It is generally one of the legal values for the defaultlabel attribute (`none`, `number` or `qanda`), or one of the additional stylesheet-specific values (`qnumber` or `qnumberanda`). The default value is 'number'.

The values are rendered as follows:

`qanda`

  `question`s are labeled "Q:" and `answer`s are labeled "A:".

`number`

  The questions are enumerated and the answers are not labeled.

`qnumber`

  The questions are labeled "Q:" followed by a number, and answers are not labeled. When sections are numbered, adding a label to the number distinguishes the question numbers from the section numbers. This value is not allowed in the `defaultlabel` attribute of a `qandaset` element.

`qnumberanda`

  The questions are labeled "Q:" followed by a number, and the answers are labeled "A:". When sections are numbered, adding a label to the number distinguishes the question numbers from the section numbers. This value is not allowed in the `defaultlabel` attribute of a `qandaset` element.

`none`

  No distinguishing label precedes Questions or Answers.

qanda.inherit.numeration
boolean

## qanda.inherit.numeration

Does enumeration of QandASet components inherit the numeration of parent elements?

    <xsl:param name="qanda.inherit.numeration" select="1"></xsl:param>

### Description

If non-zero, numbered `qandadiv` elements and `question` and `answer` inherit the enumeration of the ancestors of the `qandaset`.

qanda.in.toc
boolean

## qanda.in.toc

Should qandaentry questions appear in the document table of contents?

    <xsl:param name="qanda.in.toc" select="0"></xsl:param>

### Description

If true (non-zero), then the generated table of contents for a document will include `qandaset` titles, `qandadiv` titles, and `question` elements. The default value (zero) excludes them from the TOC.

This parameter does not affect any tables of contents that may be generated inside a qandaset or qandadiv.

qanda.nested.in.toc
boolean

## qanda.nested.in.toc

Should nested answer/qandaentry instances appear in TOC?

    <xsl:param name="qanda.nested.in.toc" select="0"></xsl:param>

### Description

If non-zero, instances of `qandaentry` that are children of `answer` elements are shown in the TOC.

## Linking

target.database.document
uri

## target.database.document

Name of master database file for resolving olinks

     <xsl:param name="target.database.document">olinkdb.xml</xsl:param>

### Description

To resolve olinks between documents, the stylesheets use a master database document that identifies the target datafiles for all the documents within the scope of the olinks. This parameter value is the URI of the master document to be read during processing to resolve olinks. The default value is `olinkdb.xml`.

The data structure of the file is defined in the `targetdatabase.dtd` DTD. The database file provides the high level elements to record the identifiers, locations, and relationships of documents. The cross reference data for individual documents is generally pulled into the database using system entity references or XIncludes. See also `targets.filename`.

targets.filename
string

## targets.filename

Name of cross reference targets data file

    <xsl:param name="targets.filename">target.db</xsl:param>

### Description

In order to resolve olinks efficiently, the stylesheets can generate an external data file containing information about all potential cross reference endpoints in a document. This parameter lets you change the name of the generated file from the default name `target.db`. The name must agree with that used in the target database used to resolve olinks during processing. See also `target.database.document`.

olink.base.uri
uri

## olink.base.uri

Base URI used in olink hrefs

    <xsl:param name="olink.base.uri"></xsl:param>

### Description

When cross reference data is collected for resolving olinks, it may be necessary to prepend a base URI to each target's href. This parameter lets you set that base URI when cross reference data is collected. This feature is needed when you want to link to a document that is processed without chunking. The output filename for such a document is not known to the XSL stylesheet; the only target information consists of fragment identifiers such as `#idref`. To enable the resolution of olinks between documents, you should pass the name of the HTML output file as the value of this parameter. Then the hrefs recorded in the cross reference data collection look like `outfile.html#idref`, which can be reached as links from other documents.

use.local.olink.style
boolean

## use.local.olink.style

Process olinks using xref style of current document

    <xsl:param name="use.local.olink.style" select="0"></xsl:param>

### Description

When cross reference data is collected for use by olinks, the data for each potential target includes one field containing a completely assembled cross reference string, as if it were an xref generated in that document. Other fields record the separate title, number, and element name of each target. When an olink is formed to a target from another document, the olink resolves to that preassembled string by default. If the `use.local.olink.style` parameter is set to non-zero, then instead the cross reference string is formed again from the target title, number, and element name, using the stylesheet processing the targeting document. Then olinks will match the xref style in the targeting document rather than in the target document. If both documents are processed with the same stylesheet, then the results will be the same.

current.docid
string

## current.docid

targetdoc identifier for the document being processed

    <xsl:param name="current.docid"></xsl:param>

### Description

When olinks between documents are resolved for HTML output, the stylesheet can compute the relative path between the current document and the target document. The stylesheet needs to know the `targetdoc` identifiers for both documents, as they appear in the `target.database.document` database file. This parameter passes to the stylesheet the targetdoc identifier of the current document, since that identifier does not appear in the document itself.

This parameter can also be used for print output. If an olink's `targetdoc` id differs from the `current.docid`, then the stylesheet can append the target document's title to the generated olink text. That identifies to the reader that the link is to a different document, not the current document. See also `olink.doctitle` to enable that feature.

olink.doctitle
list
no
yes
maybe

## olink.doctitle

show the document title for external olinks?

    <xsl:param name="olink.doctitle">no</xsl:param>

### Description

When olinks between documents are resolved, the generated text may not make it clear that the reference is to another document. It is possible for the stylesheets to append the other document's title to external olinks. For this to happen, two parameters must be set.

- This `olink.doctitle` parameter should be set to either `yes` or `maybe` to enable this feature.

- And you should also set the `current.docid` parameter to the document id for the document currently being processed for output.

Then if an olink's `targetdoc` id differs from the `current.docid` value, the stylesheet knows that it is a reference to another document and can append the target document's title to the generated olink text.

The text for the target document's title is copied from the olink database from the `ttl` element of the top-level `div` for that document. If that `ttl` element is missing or empty, no title is output.

The supported values for `olink.doctitle` are:

`yes`

  Always insert the title to the target document if it is not the current document.

`no`

  Never insert the title to the target document, even if requested in an `xrefstyle` attribute.

`maybe`

  Only insert the title to the target document, if requested in an `xrefstyle` attribute.

An `xrefstyle` attribute may override the global setting for individual olinks. The following values are supported in an `xrefstyle` attribute using the `select:` syntax:

`docname`

  Insert the target document name for this olink using the `docname` gentext template, but only if the value of `olink.doctitle` is not `no`.

`docnamelong`

  Insert the target document name for this olink using the `docnamelong` gentext template, but only if the value of `olink.doctitle` is not `no`.

`nodocname`

  Omit the target document name even if the value of `olink.doctitle` is `yes`.

Another way of inserting the target document name for a single olink is to employ an `xrefstyle` attribute using the `template:` syntax. The `%o` placeholder (the letter o, not zero) in such a template will be filled in with the target document's title when it is processed. This will occur regardless of the value of `olink.doctitle`.

Note that prior to version 1.66 of the XSL stylesheets, the allowed values for this parameter were 0 and 1. Those values are still supported and mapped to 'no' and 'yes', respectively.

olink.debug
boolean

## olink.debug

Turn on debugging messages for olinks

    <xsl:param name="olink.debug" select="0"></xsl:param>

### Description

If non-zero, then each olink will generate several messages about how it is being resolved during processing. This is useful when an olink does not resolve properly and the standard error messages are not sufficient to find the problem.

You may need to read through the olink XSL templates to understand the context for some of the debug messages.

olink.properties
attribute set

## olink.properties

Properties associated with the cross-reference text of an olink.

    <xsl:attribute-set name="olink.properties">
      <xsl:attribute name="show-destination">replace</xsl:attribute>
    </xsl:attribute-set>

### Description

This `attribute set` is applied to the `fo:basic-link` element of an olink. It is not applied to the optional page number or optional title of the external document.

olink.lang.fallback.sequence
string

## olink.lang.fallback.sequence

look up translated documents if olink not found?

    <xsl:param name="olink.lang.fallback.sequence"></xsl:param>

### Description

This parameter defines a list of lang values to search among to resolve olinks.

Normally an olink tries to resolve to a document in the same language as the olink itself. The language of an olink is determined by its nearest ancestor element with a `lang` attribute, otherwise the value of the `l10n.gentext.default.lang` parameter.

An olink database can contain target data for the same document in multiple languages. Each set of data has the same value for the `targetdoc` attribute in the `document` element in the database, but with a different `lang` attribute value.

When an olink is being resolved, the target is first sought in the document with the same language as the olink. If no match is found there, then this parameter is consulted for additional languages to try.

The `olink.lang.fallback.sequence` must be a whitespace separated list of lang values to try. The first one with a match in the olink database is used. The default value is empty.

For example, a document might be written in German and contain an olink with `targetdoc="adminguide"`. When the document is processed, the processor first looks for a target dataset in the olink database starting with:

    <document targetdoc="adminguide" lang="de">.

If there is no such element, then the `olink.lang.fallback.sequence` parameter is consulted. If its value is, for example, fr en, then the processor next looks for `targetdoc="adminguide" lang="fr"`, and then for `targetdoc="adminguide" lang="en"`. If there is still no match, it looks for `targetdoc="adminguide"` with no lang attribute.

This parameter is useful when a set of documents is only partially translated, or is in the process of being translated. If a target of an olink has not yet been translated, then this parameter permits the processor to look for the document in other languages. This assumes the reader would rather have a link to a document in a different language than to have a broken link.

insert.olink.page.number
list
no
yes
maybe

## insert.olink.page.number

Turns page numbers in olinks on and off

    <xsl:param name="insert.olink.page.number">no</xsl:param>

### Description

The value of this parameter determines if cross references made between documents with `olink` will include page number citations. In most cases this is only applicable to references in printed output.

The parameter has three possible values.

no

  No page number references will be generated for olinks.

yes

  Page number references will be generated for all `olink` references. The style of page reference may be changed if an `xrefstyle` attribute is used.

maybe

  Page number references will not be generated for an `olink` element unless it has an `xrefstyle` attribute whose value specifies a page reference.

Olinks that point to targets within the same document are treated as `xref`s, and controlled by the `insert.xref.page.number` parameter.

Page number references for olinks to external documents can only be inserted if the information exists in the olink database. This means each olink target element (`div` or `obj`) must have a `page` attribute whose value is its page number in the target document. The XSL stylesheets are not able to extract that information during processing because pages have not yet been created in XSLT transformation. Only the XSL-FO processor knows what page each element is placed on. Therefore some postprocessing must take place to populate page numbers in the olink database.

insert.olink.pdf.frag
boolean

## insert.olink.pdf.frag

Add fragment identifiers for links into PDF files

    <xsl:param name="insert.olink.pdf.frag" select="0"></xsl:param>

### Description

The value of this parameter determines whether the cross reference URIs to PDF documents made with `olink` will include fragment identifiers.

When forming a URI to link to a PDF document, a fragment identifier (typically a '#' followed by an id value) appended to the PDF filename can be used by the PDF viewer to open the PDF file to a location within the document instead of the first page. However, not all PDF files have id values embedded in them, and not all PDF viewers can handle fragment identifiers.

If `insert.olink.pdf.frag` is set to a non-zero value, then any olink targeting a PDF file will have the fragment identifier appended to the URI. The URI is formed by concatenating the value of the `olink.base.uri` parameter, the value of the `baseuri` attribute from the `document` element in the olink database with the matching `targetdoc` value, and the value of the `href` attribute for the targeted element in the olink database. The `href` attribute contains the fragment identifier.

If `insert.olink.pdf.frag` is set to zero (the default value), then the `href` attribute from the olink database is not appended to PDF olinks, so the fragment identifier is left off. A PDF olink is any olink for which the `baseuri` attribute from the matching `document` element in the olink database ends with '.pdf'. Any other olinks will still have the fragment identifier added.

prefer.internal.olink
boolean

## prefer.internal.olink

Prefer a local olink reference to an external reference

    <xsl:param name="prefer.internal.olink" select="0"></xsl:param>

### Description

If you are re-using XML content modules in multiple documents, you may want to redirect some of your olinks. This parameter permits you to redirect an olink to the current document.

For example: you are writing documentation for a product, which includes 3 manuals: a little installation booklet (booklet.xml), a user guide (user.xml), and a reference manual (reference.xml). All 3 documents begin with the same introduction section (intro.xml) that contains a reference to the customization section (custom.xml) which is included in both user.xml and reference.xml documents.

How do you write the link to custom.xml in intro.xml so that it is interpreted correctly in all 3 documents?

- If you use xref, it will fail in user.xml.

- If you use olink (pointing to reference.xml), the reference in user.xml will point to the customization section of the reference manual, while it is actually available in user.xml.

If you set the `prefer.internal.olink` parameter to a non-zero value, then the processor will first look in the olink database for the olink's `targetptr` attribute value in document matching the `current.docid` parameter value. If it isn't found there, then it tries the document in the database with the `targetdoc` value that matches the olink's `targetdoc` attribute.

This feature permits an olink reference to resolve to the current document if there is an element with an id matching the olink's `targetptr` value. The current document's olink data must be included in the target database for this to work.

There is a potential for incorrect links if the same `id` attribute value is used for different content in different documents. Some of your olinks may be redirected to the current document when they shouldn't be. It is not possible to control individual olink instances.

link.mailto.url
string

## link.mailto.url

Mailto URL for the LINK REL=made HTML HEAD element

    <xsl:param name="link.mailto.url"></xsl:param>

### Description

If not the empty string, this address will be used for the rel=made `link` element in the html `head`

ulink.target
string

## ulink.target

The HTML anchor target for ULinks

    <xsl:param name="ulink.target">_top</xsl:param>

### Description

If `ulink.target` is non-zero, its value will be used for the `target` attribute on anchors generated for `ulink`s.

olink.fragid
string

## olink.fragid

Names the fragment identifier portion of an OLink resolver query

    <xsl:param name="olink.fragid">fragid=</xsl:param>

### Description

The fragment identifier portion of an `olink` target.

olink.outline.ext
string

## olink.outline.ext

The extension of OLink outline files

    <xsl:param name="olink.outline.ext">.olink</xsl:param>

### Description

The extension to be expected for OLink outline files

Bob has this parameter as dead. Please don't use

olink.pubid
string

## olink.pubid

Names the public identifier portion of an OLink resolver query

    <xsl:param name="olink.pubid">pubid</xsl:param>

### Description

olink.sysid
string

## olink.sysid

Names the system identifier portion of an OLink resolver query

    <xsl:param name="olink.sysid">sysid</xsl:param>

### Description

FIXME

olink.resolver
string

## olink.resolver

The root name of the OLink resolver (usually a script)

      <xsl:param name="olink.resolver">/cgi-bin/olink</xsl:param>

### Description

FIXME:

## Cross References

collect.xref.targets
list
no
yes
only

## collect.xref.targets

Controls whether cross reference data is collected

    <xsl:param name="collect.xref.targets">no</xsl:param>

### Description

In order to resolve olinks efficiently, the stylesheets can generate an external data file containing information about all potential cross reference endpoints in a document. This parameter determines whether the collection process is run when the document is processed by the stylesheet. The default value is `no`, which means the data file is not generated during processing. The other choices are `yes`, which means the data file is created and the document is processed for output, and `only`, which means the data file is created but the document is not processed for output. See also `targets.filename`.

insert.xref.page.number
list
no
yes
maybe

## insert.xref.page.number

Turns page numbers in xrefs on and off

    <xsl:param name="insert.xref.page.number">no</xsl:param>

### Description

The value of this parameter determines if cross references (`xref`s) in printed output will include page number citations. It has three possible values.

no

  No page number references will be generated.

yes

  Page number references will be generated for all `xref` elements. The style of page reference may be changed if an `xrefstyle` attribute is used.

maybe

  Page number references will not be generated for an `xref` element unless it has an `xrefstyle` attribute whose value specifies a page reference.

use.role.as.xrefstyle
boolean

## use.role.as.xrefstyle

Use `role` attribute for `xrefstyle` on `xref`?

    <xsl:param name="use.role.as.xrefstyle" select="1"></xsl:param>

### Description

In DocBook documents that conform to a schema older than V4.3, this parameter allows `role` to serve the purpose of specifying the cross reference style.

If non-zero, the `role` attribute on `xref` will be used to select the cross reference style. In DocBook V4.3, the `xrefstyle` attribute was added for this purpose. If the `xrefstyle` attribute is present, `role` will be ignored, regardless of the setting of this parameter.

### Example

The following small stylesheet shows how to configure the stylesheets to make use of the cross reference style:

    <?xml version="1.0"?>
    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                    version="1.0">

    <xsl:import href="../xsl/html/docbook.xsl"/>

    <xsl:output method="html"/>

    <xsl:param name="local.l10n.xml" select="document('')"/>
    <l:i18n xmlns:l="http://docbook.sourceforge.net/xmlns/l10n/1.0">
      <l:l10n xmlns:l="http://docbook.sourceforge.net/xmlns/l10n/1.0" language="en">
       <l:context name="xref">
          <l:template name="chapter" style="title" text="Chapter %n, %t"/>
          <l:template name="chapter" text="Chapter %n"/>
        </l:context>
      </l:l10n>
    </l:i18n>

    </xsl:stylesheet>

With this stylesheet, the cross references in the following document:

    <?xml version="1.0" encoding="utf-8"?>
    <!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
                      "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">
    <book id="book"><title>Book</title>

    <preface>
    <title>Preface</title>

    <para>Normal: <xref linkend="ch1"/>.</para>
    <para>Title: <xref xrefstyle="title" linkend="ch1"/>.</para>

    </preface>

    <chapter id="ch1">
    <title>First Chapter</title>

    <para>Irrelevant.</para>

    </chapter>
    </book>

will appear as:

Normal: Chapter 1.

Title: Chapter 1, First Chapter.

xref.with.number.and.title
boolean

## xref.with.number.and.title

Use number and title in cross references

    <xsl:param name="xref.with.number.and.title" select="1"></xsl:param>

### Description

A cross reference may include the number (for example, the number of an example or figure) and the `title` which is a required child of some targets. This parameter inserts both the relevant number as well as the title into the link.

xref.label-page.separator
string

## xref.label-page.separator

Punctuation or space separating label from page number in xref

    <xsl:param name="xref.label-page.separator"><xsl:text> </xsl:text></xsl:param>

### Description

This parameter allows you to control the punctuation of certain types of generated cross reference text. When cross reference text is generated for an `xref` or `olink` element using an `xrefstyle` attribute that makes use of the `select:` feature, and the selected components include both label and page but no title, then the value of this parameter is inserted between label and page number in the output. If a title is included, then other separators are used.

xref.label-title.separator
string

## xref.label-title.separator

Punctuation or space separating label from title in xref

    <xsl:param name="xref.label-title.separator">: </xsl:param>

### Description

This parameter allows you to control the punctuation of certain types of generated cross reference text. When cross reference text is generated for an `xref` or `olink` element using an `xrefstyle` attribute that makes use of the `select:` feature, and the selected components include both label and title, then the value of this parameter is inserted between label and title in the output.

xref.title-page.separator
string

## xref.title-page.separator

Punctuation or space separating title from page number in xref

    <xsl:param name="xref.title-page.separator"><xsl:text> </xsl:text></xsl:param>

### Description

This parameter allows you to control the punctuation of certain types of generated cross reference text. When cross reference text is generated for an `xref` or `olink` element using an `xrefstyle` attribute that makes use of the `select:` feature, and the selected components include both title and page number, then the value of this parameter is inserted between title and page number in the output.

## Lists

segmentedlist.as.table
boolean

## segmentedlist.as.table

Format segmented lists as tables?

    <xsl:param name="segmentedlist.as.table" select="0"></xsl:param>

### Description

If non-zero, `segmentedlist`s will be formatted as tables.

variablelist.as.table
boolean

## variablelist.as.table

Format `variablelist`s as tables?

    <xsl:param name="variablelist.as.table" select="0"></xsl:param>

### Description

If non-zero, `variablelist`s will be formatted as tables. A processing instruction exists to specify a particular width for the column containing the `term`s: `dbhtml term-width=".25in"`

You can override this setting with a processing instruction as the child of `variablelist`: `dbhtml list-presentation="table"` or `dbhtml list-presentation="list"`.

This parameter only applies to the HTML transformations. In the FO case, proper list markup is robust enough to handle the formatting. But see also `variablelist.as.blocks`.

      <variablelist>
            <?dbhtml list-presentation="table"?>
            <?dbhtml term-width="1.5in"?>
            <?dbfo list-presentation="list"?>
            <?dbfo term-width="1in"?>
            <varlistentry>
              <term>list</term>
              <listitem>
                    <para>
                      Formatted as a table even if variablelist.as.table is set to 0.
                    </para>
              </listitem>
            </varlistentry>
      </variablelist>

variablelist.term.separator
string

## variablelist.term.separator

Text to separate `term`s within a multi-term `varlistentry`

    <xsl:param name="variablelist.term.separator">, </xsl:param>

### Description

When a `varlistentry` contains multiple `term` elements, the string specified in the value of the `variablelist.term.separator` parameter is placed after each `term` except the last.

To generate a line break between multiple `term`s in a `varlistentry`, set a non-zero value for the `variablelist.term.break.after` parameter. If you do so, you may also want to set the value of the `variablelist.term.separator` parameter to an empty string (to suppress rendering of the default comma and space after each `term`).

variablelist.term.break.after
boolean

## variablelist.term.break.after

Generate line break after each `term` within a multi-term `varlistentry`?

    <xsl:param name="variablelist.term.break.after">0</xsl:param>

### Description

Set a non-zero value for the `variablelist.term.break.after` parameter to generate a line break between `term`s in a multi-term `varlistentry`.

If you set a non-zero value for `variablelist.term.break.after`, you may also want to set the value of the `variablelist.term.separator` parameter to an empty string (to suppress rendering of the default comma and space after each `term`).

## Bibliography

bibliography.style
list
normal
iso690

## bibliography.style

Style used for formatting of biblioentries.

    <xsl:param name="bibliography.style">normal</xsl:param>

### Description

Currently only `normal` and `iso690` styles are supported.

In order to use ISO690 style to the full extent you might need to use additional markup described on the following WiKi page.

biblioentry.item.separator
string

## biblioentry.item.separator

Text to separate bibliography entries

    <xsl:param name="biblioentry.item.separator">. </xsl:param>

### Description

Text to separate bibliography entries

bibliography.collection
string

## bibliography.collection

Name of the bibliography collection file

    <xsl:param name="bibliography.collection">http://docbook.sourceforge.net/release/bibliography/bibliography.xml</xsl:param>

### Description

Maintaining bibliography entries across a set of documents is tedious, time consuming, and error prone. It makes much more sense, usually, to store all of the bibliography entries in a single place and simply extract the ones you need in each document.

That's the purpose of the `bibliography.collection` parameter. To setup a global bibliography database, follow these steps:

First, create a stand-alone bibliography document that contains all of the documents that you wish to reference. Make sure that each bibliography entry (whether you use `biblioentry` or `bibliomixed`) has an ID.

My global bibliography, `~/bibliography.xml` begins like this:

    <!DOCTYPE bibliography
      PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
      "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <bibliography><title>References</title>

    <bibliomixed id="xml-rec"><abbrev>XML 1.0</abbrev>Tim Bray,
    Jean Paoli, C. M. Sperberg-McQueen, and Eve Maler, editors.
    <citetitle><ulink url="http://www.w3.org/TR/REC-xml">Extensible Markup
    Language (XML) 1.0 Second Edition</ulink></citetitle>.
    World Wide Web Consortium, 2000.
    </bibliomixed>

    <bibliomixed id="xml-names"><abbrev>Namespaces</abbrev>Tim Bray,
    Dave Hollander,
    and Andrew Layman, editors.
    <citetitle><ulink url="http://www.w3.org/TR/REC-xml-names/">Namespaces in
    XML</ulink></citetitle>.
    World Wide Web Consortium, 1999.
    </bibliomixed>

    <!-- ... -->
    </bibliography>

When you create a bibliography in your document, simply provide empty `bibliomixed` entries for each document that you wish to cite. Make sure that these elements have the same ID as the corresponding real entry in your global bibliography.

For example:

    <bibliography><title>Bibliography</title>

    <bibliomixed id="xml-rec"/>
    <bibliomixed id="xml-names"/>
    <bibliomixed id="DKnuth86">Donald E. Knuth. <citetitle>Computers and
    Typesetting: Volume B, TeX: The Program</citetitle>. Addison-Wesley,
    1986.  ISBN 0-201-13437-3.
    </bibliomixed>
    <bibliomixed id="relaxng"/>

    </bibliography>

Note that it's perfectly acceptable to mix entries from your global bibliography with normal entries. You can use `xref` or other elements to cross-reference your bibliography entries in exactly the same way you do now.

Finally, when you are ready to format your document, simply set the `bibliography.collection` parameter (in either a customization layer or directly through your processor's interface) to point to your global bibliography.

The stylesheets will format the bibliography in your document as if all of the entries referenced appeared there literally.

bibliography.numbered
boolean

## bibliography.numbered

Should bibliography entries be numbered?

    <xsl:param name="bibliography.numbered" select="0"></xsl:param>

### Description

If non-zero bibliography entries will be numbered

## Glossary

glossterm.auto.link
boolean

## glossterm.auto.link

Generate links from glossterm to glossentry automatically?

    <xsl:param name="glossterm.auto.link" select="0"></xsl:param>

### Description

If non-zero, links from inline `glossterm`s to the corresponding `glossentry` elements in a `glossary` or `glosslist` will be automatically generated. This is useful when your glossterms are consistent and you don't want to add links manually.

The automatic link generation feature is not used on `glossterm` elements that have a `linkend` attribute.

firstterm.only.link
boolean

## firstterm.only.link

Does automatic glossterm linking only apply to firstterms?

    <xsl:param name="firstterm.only.link" select="0"></xsl:param>

### Description

If non-zero, only `firstterm`s will be automatically linked to the glossary. If glossary linking is not enabled, this parameter has no effect.

glossary.collection
string

## glossary.collection

Name of the glossary collection file

    <xsl:param name="glossary.collection"></xsl:param>

### Description

Glossaries maintained independently across a set of documents are likely to become inconsistent unless considerable effort is expended to keep them in sync. It makes much more sense, usually, to store all of the glossary entries in a single place and simply extract the ones you need in each document.

That's the purpose of the `glossary.collection` parameter. To setup a global glossary database, follow these steps:

#### Setting Up the Glossary Database

First, create a stand-alone glossary document that contains all of the entries that you wish to reference. Make sure that each glossary entry has an ID.

Here's an example glossary:

    <?xml version="1.0" encoding="utf-8"?>
    <!DOCTYPE glossary
      PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
      "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <glossary>
    <glossaryinfo>
    <editor><firstname>Eric</firstname><surname>Raymond</surname></editor>
    <title>Jargon File 4.2.3 (abridged)</title>
    <releaseinfo>Just some test data</releaseinfo>
    </glossaryinfo>

    <glossdiv><title>0</title>

    <glossentry>
    <glossterm>0</glossterm>
    <glossdef>
    <para>Numeric zero, as opposed to the letter `O' (the 15th letter of
    the English alphabet). In their unmodified forms they look a lot
    alike, and various kluges invented to make them visually distinct have
    compounded the confusion. If your zero is center-dotted and letter-O
    is not, or if letter-O looks almost rectangular but zero looks more
    like an American football stood on end (or the reverse), you're
    probably looking at a modern character display (though the dotted zero
    seems to have originated as an option on IBM 3270 controllers). If
    your zero is slashed but letter-O is not, you're probably looking at
    an old-style ASCII graphic set descended from the default typewheel on
    the venerable ASR-33 Teletype (Scandinavians, for whom /O is a letter,
    curse this arrangement). (Interestingly, the slashed zero long
    predates computers; Florian Cajori's monumental "A History of
    Mathematical Notations" notes that it was used in the twelfth and
    thirteenth centuries.) If letter-O has a slash across it and the zero
    does not, your display is tuned for a very old convention used at IBM
    and a few other early mainframe makers (Scandinavians curse <emphasis>this</emphasis>
    arrangement even more, because it means two of their letters collide).
    Some Burroughs/Unisys equipment displays a zero with a <emphasis>reversed</emphasis>
    slash. Old CDC computers rendered letter O as an unbroken oval and 0
    as an oval broken at upper right and lower left. And yet another
    convention common on early line printers left zero unornamented but
    added a tail or hook to the letter-O so that it resembled an inverted
    Q or cursive capital letter-O (this was endorsed by a draft ANSI
    standard for how to draw ASCII characters, but the final standard
    changed the distinguisher to a tick-mark in the upper-left corner).
    Are we sufficiently confused yet?</para>
    </glossdef>
    </glossentry>

    <glossentry>
    <glossterm>1TBS</glossterm>
    <glossdef>
    <para role="accidence">
    <phrase role="pronounce"></phrase>
    <phrase role="partsofspeach">n</phrase>
    </para>
    <para>The "One True Brace Style"</para>
    <glossseealso>indent style</glossseealso>
    </glossdef>
    </glossentry>

    <!-- ... -->

    </glossdiv>

    <!-- ... -->

    </glossary>

#### Marking Up Glossary Terms

That takes care of the glossary database, now you have to get the entries into your document. Unlike bibliography entries, which can be empty, creating placeholder glossary entries would be very tedious. So instead, support for `glossary.collection` relies on implicit linking.

In your source document, simply use `firstterm` and `glossterm` to identify the terms you wish to have included in the glossary. The stylesheets assume that you will either set the `baseform` attribute correctly, or that the content of the element exactly matches a term in your glossary.

If you're using a `glossary.collection`, don't make explicit links on the terms in your document.

So, in your document, you might write things like this:

    <para>This is dummy text, without any real meaning.
    The point is simply to reference glossary terms like <glossterm>0</glossterm>
    and the <firstterm baseform="1TBS">One True Brace Style (1TBS)</firstterm>.
    The <glossterm>1TBS</glossterm>, as you can probably imagine, is a nearly
    religious issue.</para>

If you set the `firstterm.only.link` parameter, only the terms marked with `firstterm` will be links. Otherwise, all the terms will be linked.

#### Marking Up the Glossary

The glossary itself has to be identified for the stylesheets. For lack of a better choice, the `role` is used. To identify the glossary as the target for automatic processing, set the role to `auto`. The title of this glossary (and any other information from the `glossaryinfo` that's rendered by your stylesheet) will be displayed, but the entries will come from the database.

Unfortunately, the glossary can't be empty, so you must put in at least one `glossentry`. The content of this entry is irrelevant, it will not be rendered:

    <glossary role="auto">
    <glossentry>
    <glossterm>Irrelevant</glossterm>
    <glossdef>
    <para>If you can see this, the document was processed incorrectly. Use
    the <parameter>glossary.collection</parameter> parameter.</para>
    </glossdef>
    </glossentry>
    </glossary>

What about glossary divisions? If your glossary database has glossary divisions and your automatic glossary contains at least one `glossdiv`, the automic glossary will have divisions. If the `glossdiv` is missing from either location, no divisions will be rendered.

Glossary entries (and divisions, if appropriate) in the glossary will occur in precisely the order they occur in your database.

#### Formatting the Document

Finally, when you are ready to format your document, simply set the `glossary.collection` parameter (in either a customization layer or directly through your processor's interface) to point to your global glossary.

The stylesheets will format the glossary in your document as if all of the entries implicilty referenced appeared there literally.

#### Limitations

Glossary cross-references within the glossary are not supported. For example, this will not work:

    <glossentry>
    <glossterm>gloss-1</glossterm>
    <glossdef><para>A description that references <glossterm>gloss-2</glossterm>.</para>
    <glossseealso>gloss-2</glossseealso>
    </glossdef>
    </glossentry>

If you put glossary cross-references in your glossary that way, you'll get the cryptic error: `Warning: glossary.collection specified, but there are 0 automatic glossaries`.

Instead, you must do two things:

1. Markup your glossary using `glossseealso`:

       <glossentry>
       <glossterm>gloss-1</glossterm>
       <glossdef><para>A description that references <glossterm>gloss-2</glossterm>.</para>
       <glossseealso>gloss-2</glossseealso>
       </glossdef>
       </glossentry>

2. Make sure there is at least one `glossterm` reference to gloss-2 in your document. The easiest way to do that is probably within a `remark` in your automatic glossary:

       <glossary role="auto">
       <remark>Make sure there's a reference to <glossterm>gloss-2</glossterm>.</remark>
       <glossentry>
       <glossterm>Irrelevant</glossterm>
       <glossdef>
       <para>If you can see this, the document was processed incorrectly. Use
       the <parameter>glossary.collection</parameter> parameter.</para>
       </glossdef>
       </glossentry>
       </glossary>

glossary.sort
boolean

## glossary.sort

Sort glossentry elements?

    <xsl:param name="glossary.sort" select="0"></xsl:param>

### Description

If non-zero, then the glossentry elements within a glossary, glossdiv, or glosslist are sorted on the glossterm, using the current lang setting. If zero (the default), then glossentry elements are not sorted and are presented in document order.

glossentry.show.acronym
list
no
yes
primary

## glossentry.show.acronym

Display `glossentry` acronyms?

    <xsl:param name="glossentry.show.acronym">no</xsl:param>

### Description

A setting of yes means they should be displayed; no means they shouldn't. If primary is used, then they are shown as the primary text for the entry.

This setting controls both `acronym` and `abbrev` elements in the `glossentry`.

## Miscellaneous

formal.procedures
boolean

## formal.procedures

Selects formal or informal procedures

    <xsl:param name="formal.procedures" select="1"></xsl:param>

### Description

Formal procedures are numbered and always have a title.

formal.title.placement
table

## formal.title.placement

Specifies where formal object titles should occur

    <xsl:param name="formal.title.placement">
    figure before
    example before
    equation before
    table before
    procedure before
    task before
    </xsl:param>

### Description

Specifies where formal object titles should occur. For each formal object type (`figure`, `example`, `equation`, `table`, and `procedure`) you can specify either the keyword `before` or `after`.

runinhead.default.title.end.punct
string

## runinhead.default.title.end.punct

Default punctuation character on a run-in-head

    <xsl:param name="runinhead.default.title.end.punct">.</xsl:param>

### Description

If non-zero, For a `formalpara`, use the specified string as the separator between the title and following text. The period is the default value.

runinhead.title.end.punct
string

## runinhead.title.end.punct

Characters that count as punctuation on a run-in-head

    <xsl:param name="runinhead.title.end.punct">.!?:</xsl:param>

### Description

Specify which characters are to be counted as punctuation. These characters are checked for a match with the last character of the title. If no match is found, the `runinhead.default.title.end.punct` contents are inserted. This is to avoid duplicated punctuation in the output.

show.comments
boolean

## show.comments

Display `remark` elements?

    <xsl:param name="show.comments" select="1"></xsl:param>

### Description

If non-zero, comments will be displayed, otherwise they are suppressed. Comments here refers to the `remark` element (which was called `comment` prior to DocBook 4.0), not XML comments (<-- like this -->) which are unavailable.

show.revisionflag
boolean

## show.revisionflag

Enable decoration of elements that have a revisionflag

    <xsl:param name="show.revisionflag" select="0"></xsl:param>

### Description

If `show.revisionflag` is turned on, then the stylesheets may produce additional markup designed to allow a CSS stylesheet to highlight elements that have specific revisionflag settings.

The markup inserted will be usually be either a <span> or <div> with an appropriate `class` attribute. (The value of the class attribute will be the same as the value of the revisionflag attribute). In some contexts, for example tables, where extra markup would be structurally illegal, the class attribute will be added to the appropriate container element.

In general, the stylesheets only test for revisionflag in contexts where an importing stylesheet would have to redefine whole templates. Most of the revisionflag processing is expected to be done by another stylesheet, for example `changebars.xsl`.

shade.verbatim
boolean

## shade.verbatim

Should verbatim environments be shaded?

    <xsl:param name="shade.verbatim" select="0"></xsl:param>

### Description

In the FO stylesheet, if this parameter is non-zero then the shade.verbatim.style properties will be applied to verbatim environments.

In the HTML stylesheet, this parameter is now deprecated. Use CSS instead.

shade.verbatim.style
attribute set

## shade.verbatim.style

Properties that specify the style of shaded verbatim listings

    <xsl:attribute-set name="shade.verbatim.style">
      <xsl:attribute name="border">0</xsl:attribute>
      <xsl:attribute name="bgcolor">#E0E0E0</xsl:attribute>
    </xsl:attribute-set>

### Description

Properties that specify the style of shaded verbatim listings. The parameters specified (the border and background color) are added to the styling of the xsl-fo output. A border might be specified as "thin black solid" for example. See xsl-fo

punct.honorific
string

## punct.honorific

Punctuation after an honorific in a personal name.

    <xsl:param name="punct.honorific">.</xsl:param>

### Description

This parameter specifies the punctuation that should be added after an honorific in a personal name.

tex.math.in.alt
list
plain
latex

## tex.math.in.alt

TeX notation used for equations

    <xsl:param name="tex.math.in.alt"></xsl:param>

### Description

If you want type math directly in TeX notation in equations, this parameter specifies notation used. Currently are supported two values -- `plain` and `latex`. Empty value means that you are not using TeX math at all.

Preferred way for including TeX alternative of math is inside of `textobject` element. Eg.:

    <inlineequation>
    <inlinemediaobject>
    <imageobject>
    <imagedata fileref="eq1.gif"/>
    </imageobject>
    <textobject><phrase>E=mc squared</phrase></textobject>
    <textobject role="tex"><phrase>E=mc^2</phrase></textobject>
    </inlinemediaobject>
    </inlineequation>

If you are using `graphic` element, you can store TeX inside `alt` element:

    <inlineequation>
    <alt role="tex">a^2+b^2=c^2</alt>
    <graphic fileref="a2b2c2.gif"/>
    </inlineequation>

If you want use this feature, you should process your FO with PassiveTeX, which only supports TeX math notation. When calling stylsheet, don't forget to specify also passivetex.extensions=1.

If you want equations in HTML, just process generated file `tex-math-equations.tex` by TeX or LaTeX. Then run dvi2bitmap program on result DVI file. You will get images for equations in your document.

This feature is useful for print/PDF output only if you use the obsolete and now unsupported PassiveTeX XSL-FO engine.

### Related Parameters

`tex.math.delims`, `passivetex.extensions`, `tex.math.file`

### More information

For how-to documentation on embedding TeX equations and generating output from them, see DBTeXMath.

tex.math.file
string

## tex.math.file

Name of temporary file for generating images from equations

    <xsl:param name="tex.math.file">tex-math-equations.tex</xsl:param>

### Description

Name of auxiliary file for TeX equations. This file can be processed by dvi2bitmap to get bitmap versions of equations for HTML output.

### Related Parameters

`tex.math.in.alt`, `tex.math.delims`,

### More information

For how-to documentation on embedding TeX equations and generating output from them, see DBTeXMath.

tex.math.delims
boolean

## tex.math.delims

Should equations output for processing by TeX be surrounded by math mode delimiters?

    <xsl:param name="tex.math.delims" select="1"></xsl:param>

### Description

For compatibility with DSSSL based DBTeXMath from Allin Cottrell you should set this parameter to 0.

### Related Parameters

`tex.math.in.alt`, `passivetex.extensions`

### See Also

You can also use the `dbtex delims` processing instruction to control whether delimiters are output.

### More information

For how-to documentation on embedding TeX equations and generating output from them, see DBTeXMath.

pixels.per.inch
integer

## pixels.per.inch

How many pixels are there per inch?

    <xsl:param name="pixels.per.inch">90</xsl:param>

### Description

When lengths are converted to pixels, this value is used to determine the size of a pixel. The default value is taken from the XSL Recommendation.

points.per.em
number

## points.per.em

Specify the nominal size of an em-space in points

    <xsl:param name="points.per.em">10</xsl:param>

### Description

The fixed value used for calculations based upon the size of a character. The assumption made is that ten point font is in use. This assumption may not be valid.

use.svg
boolean

## use.svg

Allow SVG in the result tree?

    <xsl:param name="use.svg" select="1"></xsl:param>

### Description

If non-zero, SVG will be considered an acceptable image format. SVG is passed through to the result tree, so correct rendering of the resulting diagram depends on the formatter (FO processor or web browser) that is used to process the output from the stylesheet.

menuchoice.separator
string

## menuchoice.separator

Separator between items of a `menuchoice` other than `guimenuitem` and `guisubmenu`

    <xsl:param name="menuchoice.separator">+</xsl:param>

### Description

Separator used to connect items of a `menuchoice` other than `guimenuitem` and `guisubmenu`. The latter elements are linked with `menuchoice.menu.separator`.

menuchoice.menu.separator
string

## menuchoice.menu.separator

Separator between items of a `menuchoice` with `guimenuitem` or `guisubmenu`

    <xsl:param name="menuchoice.menu.separator"> → </xsl:param>

### Description

Separator used to connect items of a `menuchoice` with `guimenuitem` or `guisubmenu`. Other elements are linked with `menuchoice.separator`.

The default value is &#x2192;, which is the &rarr; (right arrow) character entity. The current FOP (0.20.5) requires setting the font-family explicitly.

The default value also includes spaces around the arrow, which will allow a line to break. Replace the spaces with &#xA0; (nonbreaking space) if you don't want those spaces to break.

default.float.class
string

## default.float.class

Specifies the default float class

    <xsl:param name="default.float.class">
      <xsl:choose>
        <xsl:when test="contains($stylesheet.result.type,'html')">left</xsl:when>
        <xsl:otherwise>before</xsl:otherwise>
      </xsl:choose>
    </xsl:param>

### Description

Selects the direction in which a float should be placed. for xsl-fo this is before, for html it is left. For Western texts, the before direction is the top of the page.

footnote.number.format
list
11,2,3...
AA,B,C...
aa,b,c...
ii,ii,iii...
II,II,III...

## footnote.number.format

Identifies the format used for footnote numbers

    <xsl:param name="footnote.number.format">1</xsl:param>

### Description

The `footnote.number.format` specifies the format to use for footnote numeration (1, i, I, a, or A).

table.footnote.number.format
list
11,2,3...
AA,B,C...
aa,b,c...
ii,ii,iii...
II,II,III...

## table.footnote.number.format

Identifies the format used for footnote numbers in tables

    <xsl:param name="table.footnote.number.format">a</xsl:param>

### Description

The `table.footnote.number.format` specifies the format to use for footnote numeration (1, i, I, a, or A) in tables.

footnote.number.symbols

## footnote.number.symbols

Special characters to use as footnote markers

    <xsl:param name="footnote.number.symbols"></xsl:param>

### Description

If `footnote.number.symbols` is not the empty string, footnotes will use the characters it contains as footnote symbols. For example, *&#x2020;&#x2021;&#x25CA;&#x2720; will identify footnotes with *, †, ‡, ◊, and ✠. If there are more footnotes than symbols, the stylesheets will fall back to numbered footnotes using `footnote.number.format`.

The use of symbols for footnotes depends on the ability of your processor (or browser) to render the symbols you select. Not all systems are capable of displaying the full range of Unicode characters. If the quoted characters in the preceding paragraph are not displayed properly, that's a good indicator that you may have trouble using those symbols for footnotes.

table.footnote.number.symbols
string

## table.footnote.number.symbols

Special characters to use a footnote markers in tables

    <xsl:param name="table.footnote.number.symbols"></xsl:param>

### Description

If `table.footnote.number.symbols` is not the empty string, table footnotes will use the characters it contains as footnote symbols. For example, *&#x2020;&#x2021;&#x25CA;&#x2720; will identify footnotes with *, †, ‡, ◊, and ✠. If there are more footnotes than symbols, the stylesheets will fall back to numbered footnotes using `table.footnote.number.format`.

The use of symbols for footnotes depends on the ability of your processor (or browser) to render the symbols you select. Not all systems are capable of displaying the full range of Unicode characters. If the quoted characters in the preceding paragraph are not displayed properly, that's a good indicator that you may have trouble using those symbols for footnotes.

highlight.source
boolean

## highlight.source

Should the content of `programlisting` be syntactically highlighted?

    <xsl:param name="highlight.source" select="0"></xsl:param>

### Description

When this parameter is non-zero, the stylesheets will try to do syntax highlighting of the content of `programlisting` elements. You specify the language for each programlisting by using the `language` attribute. The `highlight.default.language` parameter can be used to specify the language for programlistings without a `language` attribute. Syntax highlighting also works for `screen` and `synopsis` elements.

The actual highlighting work is done by the XSLTHL extension module. This is an external Java library that has to be downloaded separately (see below).

In order to use this extension, you must

- add `xslthl-2.x.x.jar` to your Java classpath. The latest version is available from the XSLT syntax highlighting project at SourceForge.

- use a customization layer in which you import one of the following stylesheet modules:

  - `html/highlight.xsl`

  - `xhtml/highlight.xsl`

  - `html-1_1/highlight.xsl`

  - `fo/highlight.xsl`

- let either the `xslthl.config` Java system property or the `highlight.xslthl.config` parameter point to the configuration file for syntax highlighting (using URL syntax). DocBook XSL comes with a ready-to-use configuration file, `highlighting/xslthl-config.xml`.

The extension works with Saxon 6.5.x and Xalan-J. (Saxon 8.5 or later is also supported, but since it is an XSLT 2.0 processor it is not guaranteed to work with DocBook XSL in all circumstances.)

The following is an example of a Saxon 6 command adapted for syntax highlighting, to be used on Windows:

`java -cp c:/Java/saxon.jar;c:/Java/xslthl-2.0.1.jar -Dxslthl.config=file:///c:/docbook-xsl/highlighting/xslthl-config.xml com.icl.saxon.StyleSheet -o test.html test.xml myhtml.xsl`

highlight.xslthl.config
uri

## highlight.xslthl.config

Location of XSLTHL configuration file

    <xsl:param name="highlight.xslthl.config"></xsl:param>

### Description

This location has precedence over the corresponding Java property.

highlight.default.language
string

## highlight.default.language

Default language of programlisting

    <xsl:param name="highlight.default.language"></xsl:param>

### Description

This language is used when there is no language attribute on programlisting.

email.delimiters.enabled
boolean

## email.delimiters.enabled

Generate delimiters around email addresses?

    <xsl:param name="email.delimiters.enabled" select="1"></xsl:param>

### Description

If non-zero, delimiters

For delimiters, the stylesheets are currently hard-coded to output angle brackets.

are generated around e-mail addresses (the output of the `email` element).

exsl.node.set.available
boolean

## exsl.node.set.available

Is the test function-available('exsl:node-set') true?

    <xsl:param name="exsl.node.set.available">
      <xsl:choose>
        <xsl:when exsl:foo="" test="function-available('exsl:node-set') or                        contains(system-property('xsl:vendor'),                          'Apache Software Foundation')">1</xsl:when>
        <xsl:otherwise>0</xsl:otherwise>
      </xsl:choose>
    </xsl:param>

### Description

If non-zero, then the exsl:node-set() function is available to be used in the stylesheet. If zero, then the function is not available. This param automatically detects the presence of the function and does not normally need to be set manually.

This param was created to handle a long-standing bug in the Xalan processor that fails to detect the function even though it is available.

## Annotations

annotation.support
boolean

## annotation.support

Enable annotations?

    <xsl:param name="annotation.support" select="0"></xsl:param>

### Description

If non-zero, the stylesheets will attempt to support annotation elements in HTML by including some JavaScript (see `annotation.js`).

annotation.js
string

## annotation.js

URIs identifying JavaScript files with support for annotation popups

    <xsl:param name="annotation.js">
    <xsl:text>http://docbook.sourceforge.net/release/script/AnchorPosition.js http://docbook.sourceforge.net/release/script/PopupWindow.js</xsl:text></xsl:param>

### Description

If annotation.support is enabled and the document contains `annotation`s, then the URIs listed in this parameter will be included. These JavaScript files are required for popup annotation support.

annotation.css
string

## annotation.css

CSS rules for annotations

    <xsl:param name="annotation.css">
    /* ======================================================================
       Annotations
    */

    div.annotation-list  { visibility: hidden;
                         }

    div.annotation-nocss { position: absolute;
                           visibility: hidden;
                         }

    div.annotation-popup { position: absolute;
                           z-index: 4;
                           visibility: hidden;
                           padding: 0px;
                           margin: 2px;
                           border-style: solid;
                           border-width: 1px;
                           width: 200px;
    		       background-color: white;
                         }

    div.annotation-title { padding: 1px;
                           font-weight: bold;
                           border-bottom-style: solid;
                           border-bottom-width: 1px;
    		       color: white;
    		       background-color: black;
                         }

    div.annotation-body  { padding: 2px;
                         }

    div.annotation-body p { margin-top: 0px;
                            padding-top: 0px;
                          }

    div.annotation-close { position: absolute;
                           top: 2px;
                           right: 2px;
                         }
    </xsl:param>

### Description

If `annotation.support` is enabled and the document contains `annotation`s, then the CSS in this parameter will be included in the document.

annotation.graphic.open
uri

## annotation.graphic.open

Image for identifying a link that opens an annotation popup

    <xsl:param name="annotation.graphic.open">http://docbook.sourceforge.net/release/images/annot-open.png</xsl:param>

### Description

This image is used inline to identify the location of annotations. It may be replaced by a user provided graphic. The size should be approximately 10x10 pixels.

annotation.graphic.close
uri

## annotation.graphic.close

Image for identifying a link that closes an annotation popup

    <xsl:param name="annotation.graphic.close">
    http://docbook.sourceforge.net/release/images/annot-close.png</xsl:param>

### Description

This image is used on popup annotations as the “x” that the user can click to dismiss the popup.

This image is used on popup annotations as the “x” that the user can click to dismiss the popup. It may be replaced by a user provided graphic. The size should be approximately 10x10 pixels.

## Graphics

img.src.path
string

## img.src.path

Path to HTML/FO image files

    <xsl:param name="img.src.path"></xsl:param>

### Description

Add a path prefix to the value of the `fileref` attribute of `graphic`, `inlinegraphic`, and `imagedata` elements. The resulting compound path is used in the output as the value of the `src` attribute of `img` (HTML) or `external-graphic` (FO).

The path given by `img.src.path` could be relative to the directory where the HTML/FO files are created, or it could be an absolute URI. The default value is empty. Be sure to include a trailing slash if needed.

This prefix is not applied to any filerefs that start with "/" or contain "//:".

keep.relative.image.uris
boolean

## keep.relative.image.uris

Should image URIs be resolved against xml:base?

    <xsl:param name="keep.relative.image.uris" select="1"></xsl:param>

### Description

If non-zero, relative URIs (in, for example `fileref` attributes) will be used in the generated output. Otherwise, the URIs will be made absolute with respect to the base URI.

Note that the stylesheets calculate (and use) the absolute form for some purposes, this only applies to the resulting output.

graphic.default.extension
string

## graphic.default.extension

Default extension for graphic filenames

    <xsl:param name="graphic.default.extension"></xsl:param>

### Description

If a `graphic` or `mediaobject` includes a reference to a filename that does not include an extension, and the `format` attribute is unspecified, the default extension will be used.

default.image.width
length

## default.image.width

The default width of images

    <xsl:param name="default.image.width"></xsl:param>

### Description

If specified, this value will be used for the `width` attribute on images that do not specify any viewport dimensions.

nominal.image.width
length

## nominal.image.width

The nominal image width

    <xsl:param name="nominal.image.width" select="6 * $pixels.per.inch"></xsl:param>

### Description

Graphic widths expressed as a percentage are problematic. In the following discussion, we speak of width and contentwidth, but the same issues apply to depth and contentdepth.

A width of 50% means "half of the available space for the image." That's fine. But note that in HTML, this is a dynamic property and the image size will vary if the browser window is resized.

A contentwidth of 50% means "half of the actual image width". But what does that mean if the stylesheets cannot assess the image's actual size? Treating this as a width of 50% is one possibility, but it produces behavior (dynamic scaling) that seems entirely out of character with the meaning.

Instead, the stylesheets define a `nominal.image.width` and convert percentages to actual values based on that nominal size.

nominal.image.depth
length

## nominal.image.depth

Nominal image depth

    <xsl:param name="nominal.image.depth" select="4 * $pixels.per.inch"></xsl:param>

### Description

See `nominal.image.width`.

use.embed.for.svg
boolean

## use.embed.for.svg

Use HTML `embed` for SVG?

    <xsl:param name="use.embed.for.svg" select="0"></xsl:param>

### Description

If non-zero, an `embed` element will be created for SVG figures. An `object` is always created, this parameter merely controls whether or not an additional `embed` is generated inside the `object`.

On the plus side, this may be more portable among browsers and plug-ins. On the minus side, it isn't valid HTML.

make.graphic.viewport
boolean

## make.graphic.viewport

Use tables in HTML to make viewports for graphics

    <xsl:param name="make.graphic.viewport" select="1"></xsl:param>

### Description

The HTML `img` element only supports the notion of content-area scaling; it doesn't support the distinction between a content-area and a viewport-area, so we have to make some compromises.

If `make.graphic.viewport` is non-zero, a table will be used to frame the image. This creates an effective viewport-area.

Tables and alignment don't work together, so this parameter is ignored if alignment is specified on an image.

preferred.mediaobject.role
string

## preferred.mediaobject.role

Select which mediaobject to use based on this value of an object's `role` attribute.

    <xsl:param name="preferred.mediaobject.role"></xsl:param>

### Description

A mediaobject may contain several objects such as imageobjects. If the parameter `use.role.for.mediaobject` is non-zero, then the `role` attribute on `imageobject`s and other objects within a `mediaobject` container will be used to select which object will be used. If one of the objects has a role value that matches the `preferred.mediaobject.role` parameter, then it has first priority for selection. If more than one has such a role value, the first one is used.

See the `use.role.for.mediaobject` parameter for the sequence of selection.

use.role.for.mediaobject
boolean

## use.role.for.mediaobject

Use `role` attribute value for selecting which of several objects within a mediaobject to use.

    <xsl:param name="use.role.for.mediaobject" select="1"></xsl:param>

### Description

If non-zero, the `role` attribute on `imageobject`s or other objects within a `mediaobject` container will be used to select which object will be used.

The order of selection when then parameter is non-zero is:

1. If the stylesheet parameter `preferred.mediaobject.role` has a value, then the object whose role equals that value is selected.

2. Else if an object's role attribute has a value of `html` for HTML processing or `fo` for FO output, then the first of such objects is selected.

3. Else the first suitable object is selected.

If the value of `use.role.for.mediaobject` is zero, then role attributes are not considered and the first suitable object with or without a role value is used.

ignore.image.scaling
boolean

## ignore.image.scaling

Tell the stylesheets to ignore the author's image scaling attributes

    <xsl:param name="ignore.image.scaling" select="0"></xsl:param>

### Description

If non-zero, the scaling attributes on graphics and media objects are ignored.

## Chunking

chunker.output.cdata-section-elements
string

## chunker.output.cdata-section-elements

List of elements to escape with CDATA sections

    <xsl:param name="chunker.output.cdata-section-elements"></xsl:param>

### Description

This parameter specifies the list of elements that should be escaped as CDATA sections by the chunking stylesheet. Not all processors support specification of this parameter.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.doctype-public
string

## chunker.output.doctype-public

Public identifer to use in the document type of generated pages

    <xsl:param name="chunker.output.doctype-public"></xsl:param>

### Description

This parameter specifies the public identifier that should be used by the chunking stylesheet in the document type declaration of chunked pages. Not all processors support specification of this parameter.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.doctype-system
uri

## chunker.output.doctype-system

System identifier to use for the document type in generated pages

    <xsl:param name="chunker.output.doctype-system"></xsl:param>

### Description

This parameter specifies the system identifier that should be used by the chunking stylesheet in the document type declaration of chunked pages. Not all processors support specification of this parameter.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.encoding
string

## chunker.output.encoding

Encoding used in generated pages

    <xsl:param name="chunker.output.encoding">ISO-8859-1</xsl:param>

### Description

This parameter specifies the encoding to be used in files generated by the chunking stylesheet. Not all processors support specification of this parameter.

This parameter used to be named `default.encoding`.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.indent
string

## chunker.output.indent

Specification of indentation on generated pages

    <xsl:param name="chunker.output.indent">no</xsl:param>

### Description

This parameter specifies the value of the indent specification for generated pages. Not all processors support specification of this parameter.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.media-type
string

## chunker.output.media-type

Media type to use in generated pages

    <xsl:param name="chunker.output.media-type"></xsl:param>

### Description

This parameter specifies the media type that should be used by the chunking stylesheet. Not all processors support specification of this parameter.

This parameter specifies the media type that should be used by the chunking stylesheet. This should be one from those defined in [RFC2045] and [RFC2046]

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

It must be one from html, xml or text

chunker.output.method
list
html
xml

## chunker.output.method

Method used in generated pages

    <xsl:param name="chunker.output.method">html</xsl:param>

### Description

This parameter specifies the output method to be used in files generated by the chunking stylesheet.

This parameter used to be named `output.method`.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.omit-xml-declaration
string

## chunker.output.omit-xml-declaration

Omit-xml-declaration for generated pages

    <xsl:param name="chunker.output.omit-xml-declaration">no</xsl:param>

### Description

This parameter specifies the value of the omit-xml-declaration specification for generated pages. Not all processors support specification of this parameter.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.standalone
string

## chunker.output.standalone

Standalone declaration for generated pages

    <xsl:param name="chunker.output.standalone">no</xsl:param>

### Description

This parameter specifies the value of the standalone specification for generated pages. It must be either `yes` or `no`. Not all processors support specification of this parameter.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

saxon.character.representation
string

## saxon.character.representation

Saxon character representation used in generated HTML pages

    <xsl:param name="saxon.character.representation" select="'entity;decimal'"></xsl:param>

### Description

This parameter has effect only when Saxon 6 is used (version 6.4.2 or later). It sets the character representation in files generated by the chunking stylesheets. If you want to suppress entity references for characters with direct representations in `chunker.output.encoding`, set the parameter value to `native`.

For more information, see Saxon output character representation.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

html.ext
string

## html.ext

Identifies the extension of generated HTML files

    <xsl:param name="html.ext">.html</xsl:param>

### Description

The extension identified by `html.ext` will be used as the filename extension for chunks created by this stylesheet.

use.id.as.filename
boolean

## use.id.as.filename

Use ID value of chunk elements as the filename?

    <xsl:param name="use.id.as.filename" select="0"></xsl:param>

### Description

If `use.id.as.filename` is non-zero, the filename of chunk elements that have IDs will be derived from the ID value.

html.extra.head.links
boolean

## html.extra.head.links

Toggle extra HTML head link information

    <xsl:param name="html.extra.head.links" select="0"></xsl:param>

### Description

If non-zero, extra `link` elements will be generated in the `head` of chunked HTML files. These extra links point to chapters, appendixes, sections, etc. as supported by the Site Navigation Bar in Mozilla 1.0 (as of CR1, at least).

root.filename
uri

## root.filename

Identifies the name of the root HTML file when chunking

    <xsl:param name="root.filename">index</xsl:param>

### Description

The `root.filename` is the base filename for the chunk created for the root of each document processed.

base.dir
uri

## base.dir

The base directory of chunks

    <xsl:param name="base.dir"></xsl:param>

### Description

If specified, the `base.dir` identifies the output directory for chunks. (If not specified, the output directory is system dependent.)

generate.manifest
boolean

## generate.manifest

Generate a manifest file?

    <xsl:param name="generate.manifest" select="0"></xsl:param>

### Description

If non-zero, a list of HTML files generated by the stylesheet transformation is written to the file named by the `manifest` parameter.

manifest
string

## manifest

Name of manifest file

        <xsl:param name="manifest">HTML.manifest</xsl:param>

### Description

The name of the file to which a manifest is written (if the value of the `generate.manifest` parameter is non-zero).

manifest.in.base.dir
boolean

## manifest.in.base.dir

Should the manifest file be written into `base.dir`?

    <xsl:param name="manifest.in.base.dir" select="0"></xsl:param>

### Description

If non-zero, the manifest file as well as project files for HTML Help and Eclipse Help are written into `base.dir` instead of the current directory.

chunk.toc
string

## chunk.toc

An explicit TOC to be used for chunking

    <xsl:param name="chunk.toc"></xsl:param>

### Description

The `chunk.toc` identifies an explicit TOC that will be used for chunking. This parameter is only used by the `chunktoc.xsl` stylesheet (and customization layers built from it).

chunk.tocs.and.lots
boolean

## chunk.tocs.and.lots

Should ToC and LoTs be in separate chunks?

    <xsl:param name="chunk.tocs.and.lots" select="0"></xsl:param>

### Description

If non-zero, ToC and LoT (List of Examples, List of Figures, etc.) will be put in a separate chunk. At the moment, this chunk is not in the normal forward/backward navigation list. Instead, a new link is added to the navigation footer.

This feature is still somewhat experimental. Feedback welcome.

chunk.separate.lots
boolean

## chunk.separate.lots

Should each LoT be in its own separate chunk?

    <xsl:param name="chunk.separate.lots" select="0"></xsl:param>

### Description

If non-zero, each of the ToC and LoTs (List of Examples, List of Figures, etc.) will be put in its own separate chunk. The title page includes generated links to each of the separate files.

This feature depends on the `chunk.tocs.and.lots` parameter also being non-zero.

chunk.tocs.and.lots.has.title
boolean

## chunk.tocs.and.lots.has.title

Should ToC and LoTs in a separate chunks have title?

    <xsl:param name="chunk.tocs.and.lots.has.title" select="1"></xsl:param>

### Description

If non-zero title of document is shown before ToC/LoT in separate chunk.

chunk.section.depth
integer

## chunk.section.depth

Depth to which sections should be chunked

    <xsl:param name="chunk.section.depth" select="1"></xsl:param>

### Description

This parameter sets the depth of section chunking.

chunk.first.sections
boolean

## chunk.first.sections

Chunk the first top-level section?

    <xsl:param name="chunk.first.sections" select="0"></xsl:param>

### Description

If non-zero, a chunk will be created for the first top-level `sect1` or `section` elements in each component. Otherwise, that section will be part of the chunk for its parent.

chunk.quietly
boolean

## chunk.quietly

Omit the chunked filename messages.

    <xsl:param name="chunk.quietly" select="0"></xsl:param>

### Description

If zero (the default), the XSL processor emits a message naming each separate chunk filename as it is being output. If nonzero, then the messages are suppressed.

chunk.append
string

## chunk.append

Specifies content to append to chunked HTML output

    <xsl:param name="chunk.append"></xsl:param>

### Description

Specifies content to append to the end of HTML files output by the `html/chunk.xsl` stylesheet, after the closing `<html>` tag. You probably don’t want to set any value for this parameter; but if you do, the only value it should ever be set to is a newline character: `&#x0a;` or `&#10;`

navig.graphics
boolean

## navig.graphics

Use graphics in navigational headers and footers?

    <xsl:param name="navig.graphics" select="0"></xsl:param>

### Description

If non-zero, the navigational headers and footers in chunked HTML are presented in an alternate style that uses graphical icons for Next, Previous, Up, and Home. Default graphics are provided in the distribution. If zero, text is used instead of graphics.

navig.graphics.extension
string

## navig.graphics.extension

Extension for navigational graphics

    <xsl:param name="navig.graphics.extension">.gif</xsl:param>

### Description

Sets the filename extension to use on navigational graphics used in the headers and footers of chunked HTML.

navig.graphics.path
string

## navig.graphics.path

Path to navigational graphics

    <xsl:param name="navig.graphics.path">images/</xsl:param>

### Description

Sets the path, probably relative to the directory where the HTML files are created, to the navigational graphics used in the headers and footers of chunked HTML.

navig.showtitles
boolean

## navig.showtitles

Display titles in HTML headers and footers?

    <xsl:param name="navig.showtitles">1</xsl:param>

### Description

If non-zero, the headers and footers of chunked HTML display the titles of the next and previous chunks, along with the words 'Next' and 'Previous' (or the equivalent graphical icons if navig.graphics is true). If false (zero), then only the words 'Next' and 'Previous' (or the icons) are displayed.

## Profiling

The following parameters can be used for attribute-based profiling of your document. For more information about profiling, see Profiling (conditional text).

profile.arch
string

## profile.arch

Target profile for `arch` attribute

    <xsl:param name="profile.arch"></xsl:param>

### Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.audience
string

## profile.audience

Target profile for `audience` attribute

    <xsl:param name="profile.audience"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.condition
string

## profile.condition

Target profile for `condition` attribute

    <xsl:param name="profile.condition"></xsl:param>

### Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.conformance
string

## profile.conformance

Target profile for `conformance` attribute

    <xsl:param name="profile.conformance"></xsl:param>

### Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.lang
string

## profile.lang

Target profile for `lang` attribute

    <xsl:param name="profile.lang"></xsl:param>

### Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.os
string

## profile.os

Target profile for `os` attribute

    <xsl:param name="profile.os"></xsl:param>

### Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.revision
string

## profile.revision

Target profile for `revision` attribute

    <xsl:param name="profile.revision"></xsl:param>

### Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.revisionflag
string

## profile.revisionflag

Target profile for `revisionflag` attribute

    <xsl:param name="profile.revisionflag"></xsl:param>

### Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.role
string

## profile.role

Target profile for `role` attribute

    <xsl:param name="profile.role"></xsl:param>

### Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

Note that `role` is often used for other purposes than profiling. For example it is commonly used to get emphasize in bold font:

    <emphasis role="bold">very important</emphasis>

If you are using `role` for these purposes do not forget to add values like `bold` to value of this parameter. If you forgot you will get document with small pieces missing which are very hard to track.

For this reason it is not recommended to use `role` attribute for profiling. You should rather use profiling specific attributes like `userlevel`, `os`, `arch`, `condition`, etc.

profile.security
string

## profile.security

Target profile for `security` attribute

    <xsl:param name="profile.security"></xsl:param>

### Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.status
string

## profile.status

Target profile for `status` attribute

    <xsl:param name="profile.status"></xsl:param>

### Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.userlevel
string

## profile.userlevel

Target profile for `userlevel` attribute

    <xsl:param name="profile.userlevel"></xsl:param>

### Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.vendor
string

## profile.vendor

Target profile for `vendor` attribute

    <xsl:param name="profile.vendor"></xsl:param>

### Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.wordsize
string

## profile.wordsize

Target profile for `wordsize` attribute

    <xsl:param name="profile.wordsize"></xsl:param>

### Description

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.attribute
string

## profile.attribute

Name of user-specified profiling attribute

    <xsl:param name="profile.attribute"></xsl:param>

### Description

This parameter is used in conjuction with `profile.value`.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.value
string

## profile.value

Target profile for user-specified attribute

    <xsl:param name="profile.value"></xsl:param>

### Description

When you are using this parameter you must also specify name of profiling attribute with parameter `profile.attribute`.

The value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.separator
string

## profile.separator

Separator character for compound profile values

    <xsl:param name="profile.separator">;</xsl:param>

### Description

Separator character used for compound profile values. See `profile.arch`

## HTML Help

htmlhelp.encoding
string

## htmlhelp.encoding

Character encoding to use in files for HTML Help compiler.

    <xsl:param name="htmlhelp.encoding">iso-8859-1</xsl:param>

### Description

HTML Help Compiler is not UTF-8 aware, so you should always use an appropriate single-byte encoding here. Use one from iana, the registered charset values.

htmlhelp.autolabel
boolean

## htmlhelp.autolabel

Should tree-like ToC use autonumbering feature?

    <xsl:param name="htmlhelp.autolabel" select="0"></xsl:param>

### Description

Set this to non-zero to include chapter and section numbers into ToC in the left panel.

htmlhelp.chm
string

## htmlhelp.chm

Filename of output HTML Help file.

    <xsl:param name="htmlhelp.chm">htmlhelp.chm</xsl:param>

### Description

Set the name of resulting CHM file

htmlhelp.default.topic
string

## htmlhelp.default.topic

Name of file with default topic

    <xsl:param name="htmlhelp.default.topic"></xsl:param>

### Description

Normally first chunk of document is displayed when you open HTML Help file. If you want to display another topic, simply set its filename by this parameter.

This is useful especially if you don't generate ToC in front of your document and you also hide root element in ToC. E.g.:

    <xsl:param name="generate.book.toc" select="0"/>
    <xsl:param name="htmlhelp.hhc.show.root" select="0"/>
    <xsl:param name="htmlhelp.default.topic">pr01.html</xsl:param>

htmlhelp.display.progress
boolean

## htmlhelp.display.progress

Display compile progress?

    <xsl:param name="htmlhelp.display.progress" select="1"></xsl:param>

### Description

Set to non-zero to to display compile progress

htmlhelp.hhp
string

## htmlhelp.hhp

Filename of project file.

    <xsl:param name="htmlhelp.hhp">htmlhelp.hhp</xsl:param>

### Description

Change this parameter if you want different name of project file than htmlhelp.hhp.

htmlhelp.hhc
string

## htmlhelp.hhc

Filename of TOC file.

    <xsl:param name="htmlhelp.hhc">toc.hhc</xsl:param>

### Description

Set the name of the TOC file. The default is `toc.hhc`.

htmlhelp.hhk
string

## htmlhelp.hhk

Filename of index file.

    <xsl:param name="htmlhelp.hhk">index.hhk</xsl:param>

### Description

set the name of the index file. The default is `index.hhk`.

htmlhelp.hhp.tail
string

## htmlhelp.hhp.tail

Additional content for project file.

    <xsl:param name="htmlhelp.hhp.tail"></xsl:param>

### Description

If you want to include some additional parameters into project file, store appropriate part of project file into this parameter.

htmlhelp.hhp.window
string

## htmlhelp.hhp.window

Name of default window.

    <xsl:param name="htmlhelp.hhp.window">Main</xsl:param>

### Description

Name of default window. If empty no [WINDOWS] section will be added to project file.

htmlhelp.hhp.windows
string

## htmlhelp.hhp.windows

Definition of additional windows

    <xsl:param name="htmlhelp.hhp.windows"></xsl:param>

### Description

Content of this parameter is placed at the end of [WINDOWS] section of project file. You can use it for defining your own addtional windows.

htmlhelp.enhanced.decompilation
boolean

## htmlhelp.enhanced.decompilation

Allow enhanced decompilation of CHM?

    <xsl:param name="htmlhelp.enhanced.decompilation" select="0"></xsl:param>

### Description

When non-zero this parameter enables enhanced decompilation of CHM.

htmlhelp.enumerate.images
boolean

## htmlhelp.enumerate.images

Should the paths to all used images be added to the project file?

    <xsl:param name="htmlhelp.enumerate.images" select="0"></xsl:param>

### Description

Set to non-zero if you insert images into your documents as external binary entities or if you are using absolute image paths.

htmlhelp.force.map.and.alias
boolean

## htmlhelp.force.map.and.alias

Should [MAP] and [ALIAS] sections be added to the project file unconditionally?

    <xsl:param name="htmlhelp.force.map.and.alias" select="0"></xsl:param>

### Description

Set to non-zero if you have your own `alias.h` and `context.h` files and you want to include references to them in the project file.

htmlhelp.map.file
string

## htmlhelp.map.file

Filename of map file.

    <xsl:param name="htmlhelp.map.file">context.h</xsl:param>

### Description

Set the name of map file. The default is `context.h`. (used for context-sensitive help).

htmlhelp.alias.file
string

## htmlhelp.alias.file

Filename of alias file.

    <xsl:param name="htmlhelp.alias.file">alias.h</xsl:param>

### Description

Specifies the filename of the alias file (used for context-sensitive help).

htmlhelp.hhc.section.depth
integer

## htmlhelp.hhc.section.depth

Depth of TOC for sections in a left pane.

    <xsl:param name="htmlhelp.hhc.section.depth">5</xsl:param>

### Description

Set the section depth in the left pane of HTML Help viewer.

htmlhelp.hhc.show.root
boolean

## htmlhelp.hhc.show.root

Should there be an entry for the root element in the ToC?

    <xsl:param name="htmlhelp.hhc.show.root" select="1"></xsl:param>

### Description

If set to zero, there will be no entry for the root element in the ToC. This is useful when you want to provide the user with an expanded ToC as a default.

htmlhelp.hhc.folders.instead.books
boolean

## htmlhelp.hhc.folders.instead.books

Use folder icons in ToC (instead of book icons)?

    <xsl:param name="htmlhelp.hhc.folders.instead.books" select="1"></xsl:param>

### Description

Set non-zero for folder-like icons or zero for book-like icons in the TOC ToC. If you want to use folder-like icons you must swith off binary ToC using (xref) `htmlhelp.hhc.binary`.

htmlhelp.hhc.binary
boolean

## htmlhelp.hhc.binary

Generate binary ToC?

    <xsl:param name="htmlhelp.hhc.binary" select="1"></xsl:param>

### Description

Set to non-zero to generate a binary TOC. You must create a binary TOC if you want to add Prev/Next buttons to toolbar (which is default behaviour). Files with binary TOC can't be merged.

htmlhelp.hhc.width
integer

## htmlhelp.hhc.width

Width of navigation pane

    <xsl:param name="htmlhelp.hhc.width"></xsl:param>

### Description

This parameter specifies the width of the navigation pane (containing TOC and other navigation tabs) in pixels.

htmlhelp.title
string

## htmlhelp.title

Title of HTML Help

    <xsl:param name="htmlhelp.title"></xsl:param>

### Description

Content of this parameter will be used as a title for generated HTML Help. If empty, title will be automatically taken from document.

htmlhelp.show.menu
boolean

## htmlhelp.show.menu

Should the menu bar be shown?

    <xsl:param name="htmlhelp.show.menu" select="0"></xsl:param>

### Description

Set to non-zero to have an application menu bar in your HTML Help window.

htmlhelp.show.toolbar.text
boolean

## htmlhelp.show.toolbar.text

Show text under toolbar buttons?

    <xsl:param name="htmlhelp.show.toolbar.text" select="1"></xsl:param>

### Description

Set to non-zero to display texts under toolbar buttons, zero to switch off displays.

htmlhelp.show.advanced.search
boolean

## htmlhelp.show.advanced.search

Should advanced search features be available?

    <xsl:param name="htmlhelp.show.advanced.search" select="0"></xsl:param>

### Description

If you want advanced search features in your help, turn this parameter to 1.

htmlhelp.show.favorities
boolean

## htmlhelp.show.favorities

Should the Favorites tab be shown?

    <xsl:param name="htmlhelp.show.favorities" select="0"></xsl:param>

### Description

Set to non-zero to include a Favorites tab in the navigation pane of the help window.

htmlhelp.button.hideshow
boolean

## htmlhelp.button.hideshow

Should the Hide/Show button be shown?

    <xsl:param name="htmlhelp.button.hideshow" select="1"></xsl:param>

### Description

Set to non-zero to include the Hide/Show button shown on toolbar

htmlhelp.button.back
boolean

## htmlhelp.button.back

Should the Back button be shown?

    <xsl:param name="htmlhelp.button.back" select="1"></xsl:param>

### Description

Set to non-zero to include the Hide/Show button shown on toolbar

htmlhelp.button.forward
boolean

## htmlhelp.button.forward

Should the Forward button be shown?

    <xsl:param name="htmlhelp.button.forward" select="0"></xsl:param>

### Description

Set to non-zero to include the Forward button on the toolbar.

htmlhelp.button.stop
boolean

## htmlhelp.button.stop

Should the Stop button be shown?

    <xsl:param name="htmlhelp.button.stop" select="0"></xsl:param>

### Description

If you want Stop button shown on toolbar, turn this parameter to 1.

htmlhelp.button.refresh
boolean

## htmlhelp.button.refresh

Should the Refresh button be shown?

    <xsl:param name="htmlhelp.button.refresh" select="0"></xsl:param>

### Description

Set to non-zero to include the Stop button on the toolbar.

htmlhelp.button.home
boolean

## htmlhelp.button.home

Should the Home button be shown?

    <xsl:param name="htmlhelp.button.home" select="0"></xsl:param>

### Description

Set to non-zero to include the Home button on the toolbar.

htmlhelp.button.home.url
string

## htmlhelp.button.home.url

URL address of page accessible by Home button

    <xsl:param name="htmlhelp.button.home.url"></xsl:param>

### Description

URL address of page accessible by Home button.

htmlhelp.button.options
boolean

## htmlhelp.button.options

Should the Options button be shown?

    <xsl:param name="htmlhelp.button.options" select="1"></xsl:param>

### Description

If you want Options button shown on toolbar, turn this parameter to 1.

htmlhelp.button.print
boolean

## htmlhelp.button.print

Should the Print button be shown?

    <xsl:param name="htmlhelp.button.print" select="1"></xsl:param>

### Description

Set to non-zero to include the Print button on the toolbar.

htmlhelp.button.locate
boolean

## htmlhelp.button.locate

Should the Locate button be shown?

    <xsl:param name="htmlhelp.button.locate" select="0"></xsl:param>

### Description

If you want Locate button shown on toolbar, turn this parameter to 1.

htmlhelp.button.jump1
boolean

## htmlhelp.button.jump1

Should the Jump1 button be shown?

    <xsl:param name="htmlhelp.button.jump1" select="0"></xsl:param>

### Description

Set to non-zero to include the `Jump1` button on the toolbar.

htmlhelp.button.jump1.url
string

## htmlhelp.button.jump1.url

URL address of page accessible by Jump1 button

    <xsl:param name="htmlhelp.button.jump1.url"></xsl:param>

### Description

URL address of page accessible by Jump1 button.

htmlhelp.button.jump1.title
string

## htmlhelp.button.jump1.title

Title of Jump1 button

    <xsl:param name="htmlhelp.button.jump1.title">User1</xsl:param>

### Description

Title of Jump1 button.

htmlhelp.button.jump2
boolean

## htmlhelp.button.jump2

Should the Jump2 button be shown?

    <xsl:param name="htmlhelp.button.jump2" select="0"></xsl:param>

### Description

Set to non-zero to include the Jump2 button on the toolbar.

htmlhelp.button.jump2.url
string

## htmlhelp.button.jump2.url

URL address of page accessible by Jump2 button

    <xsl:param name="htmlhelp.button.jump2.url"></xsl:param>

### Description

URL address of page accessible by Jump2 button.

htmlhelp.button.jump2.title
string

## htmlhelp.button.jump2.title

Title of Jump2 button

    <xsl:param name="htmlhelp.button.jump2.title">User2</xsl:param>

### Description

Title of Jump2 button.

htmlhelp.button.next
boolean

## htmlhelp.button.next

Should the Next button be shown?

    <xsl:param name="htmlhelp.button.next" select="1"></xsl:param>

### Description

Set to non-zero to include the Next button on the toolbar.

htmlhelp.button.prev
boolean

## htmlhelp.button.prev

Should the Prev button be shown?

    <xsl:param name="htmlhelp.button.prev" select="1"></xsl:param>

### Description

Set to non-zero to include the Prev button on the toolbar.

htmlhelp.button.zoom
boolean

## htmlhelp.button.zoom

Should the Zoom button be shown?

    <xsl:param name="htmlhelp.button.zoom" select="0"></xsl:param>

### Description

Set to non-zero to include the Zoom button on the toolbar.

htmlhelp.remember.window.position
boolean

## htmlhelp.remember.window.position

Remember help window position?

    <xsl:param name="htmlhelp.remember.window.position" select="0"></xsl:param>

### Description

Set to non-zero to remember help window position between starts.

htmlhelp.window.geometry
string

## htmlhelp.window.geometry

Set initial geometry of help window

    <xsl:param name="htmlhelp.window.geometry"></xsl:param>

### Description

This parameter specifies initial position of help window. E.g.

    <xsl:param name="htmlhelp.window.geometry">[160,64,992,704]</xsl:param>

htmlhelp.use.hhk
boolean

## htmlhelp.use.hhk

Should the index be built using the HHK file?

    <xsl:param name="htmlhelp.use.hhk" select="0"></xsl:param>

### Description

If non-zero, the index is created using the HHK file (instead of using `object` elements in the HTML files). For more information, see Generating an index.

htmlhelp.only
boolean

## htmlhelp.only

Should only project files be generated?

    <xsl:param name="htmlhelp.only" select="0"></xsl:param>

### Description

Set to non-zero if you want to play with various HTML Help parameters and you don't need to regenerate all HTML files. This setting will not process whole document, only project files (hhp, hhc, hhk,...) will be generated.

## Eclipse Help Platform

eclipse.autolabel
boolean

## eclipse.autolabel

Should tree-like ToC use autonumbering feature?

    <xsl:param name="eclipse.autolabel" select="0"></xsl:param>

### Description

If you want to include chapter and section numbers into ToC in the left panel, set this parameter to 1.

eclipse.plugin.name
string

## eclipse.plugin.name

Eclipse Help plugin name

    <xsl:param name="eclipse.plugin.name">DocBook Online Help Sample</xsl:param>

### Description

Eclipse Help plugin name.

eclipse.plugin.id
string

## eclipse.plugin.id

Eclipse Help plugin id

    <xsl:param name="eclipse.plugin.id">com.example.help</xsl:param>

### Description

Eclipse Help plugin id. You should change this id to something unique for each help.

eclipse.plugin.provider
string

## eclipse.plugin.provider

Eclipse Help plugin provider name

    <xsl:param name="eclipse.plugin.provider">Example provider</xsl:param>

### Description

Eclipse Help plugin provider name.

## JavaHelp

javahelp.encoding
string

## javahelp.encoding

Character encoding to use in control files for JavaHelp.

    <xsl:param name="javahelp.encoding">iso-8859-1</xsl:param>

### Description

JavaHelp crashes on some characters when written as character references. In that case you can use this parameter to select an appropriate encoding.

## Localization

l10n.gentext.language
string

## l10n.gentext.language

Sets the gentext language

    <xsl:param name="l10n.gentext.language"></xsl:param>

### Description

If this parameter is set to any value other than the empty string, its value will be used as the value for the language when generating text. Setting `l10n.gentext.language` overrides any settings within the document being formatted.

It's much more likely that you might want to set the `l10n.gentext.default.language` parameter.

l10n.gentext.default.language
string

## l10n.gentext.default.language

Sets the default language for generated text

    <xsl:param name="l10n.gentext.default.language">en</xsl:param>

### Description

The value of the `l10n.gentext.default.language` parameter is used as the language for generated text if no setting is provided in the source document.

l10n.gentext.use.xref.language
boolean

## l10n.gentext.use.xref.language

Use the language of target when generating cross-reference text?

    <xsl:param name="l10n.gentext.use.xref.language" select="0"></xsl:param>

### Description

If non-zero, the language of the target will be used when generating cross reference text. Usually, the current language is used when generating text (that is, the language of the element that contains the cross-reference element). But setting this parameter allows the language of the element pointed to to control the generated text.

Consider the following example:

    <para lang="en">See also <xref linkend="chap3"/>.</para>

Suppose that Chapter 3 happens to be written in German. If `l10n.gentext.use.xref.language` is non-zero, the resulting text will be something like this:

> See also Kapital 3.

Where the more traditional rendering would be:

> See also Chapter 3.

l10n.lang.value.rfc.compliant
boolean

## l10n.lang.value.rfc.compliant

Make value of lang attribute RFC compliant?

    <xsl:param name="l10n.lang.value.rfc.compliant" select="1"></xsl:param>

### Description

If non-zero, ensure that the values for all `lang` attributes in HTML output are RFC compliant Section 8.1.1, Language Codes, in the HTML 4.0 Recommendation states that:

> [RFC1766] defines and explains the language codes that must be used in HTML documents.

> Briefly, language codes consist of a primary code and a possibly empty series of subcodes:

>     language-code = primary-code ( "-" subcode )*

> And in RFC 1766, Tags for the Identification of Languages, the EBNF for "language tag" is given as:

>     Language-Tag = Primary-tag *( "-" Subtag )
>     Primary-tag = 1*8ALPHA
>     Subtag = 1*8ALPHA

.

by taking any underscore characters in any `lang` values found in source documents, and replacing them with hyphen characters in output HTML files. For example, `zh_CN` in a source document becomes `zh-CN` in the HTML output form that source.

This parameter does not cause any case change in `lang` values, because RFC 1766 explicitly states that all "language tags" (as it calls them) "are to be treated as case insensitive".

writing.mode
string

## writing.mode

Direction of text flow based on locale

    <xsl:param name="writing.mode">
      <xsl:call-template name="gentext">
        <xsl:with-param name="key">writing-mode</xsl:with-param>
        <xsl:with-param name="lang">
          <xsl:call-template name="l10n.language">
            <xsl:with-param name="target" select="/*[1]"></xsl:with-param>
          </xsl:call-template>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:param>

### Description

Sets direction of text flow and text alignment based on locale. The value is normally taken from the gentext file for the lang attribute of the document's root element, using the key name 'writing-mode' to look it up in the gentext file. But the param can also be set on the command line to override that gentext value.

Accepted values are:

lr-tb

  Left-to-right text flow in each line, lines stack top to bottom.

rl-tb

  Right-to-left text flow in each line, lines stack top to bottom.

tb-rl

  Top-to-bottom text flow in each vertical line, lines stack right to left. Supported by only a few XSL-FO processors. Not supported in HTML output.

lr

  Shorthand for lr-tb.

rl

  Shorthand for rl-tb.

tb

  Shorthand for tb-rl.

## The Stylesheet

The `param.xsl` stylesheet is just a wrapper around all these parameters.

    <!-- This file is generated from param.xweb -->

    <xsl:stylesheet exclude-result-prefixes="src" version="1.0">

    <!-- ********************************************************************
         $Id: param.xweb 8345 2009-03-16 06:44:07Z bobstayton $
         ********************************************************************

         This file is part of the XSL DocBook Stylesheet distribution.
         See ../README or http://docbook.sf.net/release/xsl/current/ for
         copyright and other information.

         ******************************************************************** -->

    <src:fragref linkend="admon.graphics.extension.frag"></src:fragref>
    <src:fragref linkend="admon.graphics.frag"></src:fragref>
    <src:fragref linkend="admon.graphics.path.frag"></src:fragref>
    <src:fragref linkend="admon.style.frag"></src:fragref>
    <src:fragref linkend="admon.textlabel.frag"></src:fragref>
    <src:fragref linkend="annotate.toc.frag"></src:fragref>
    <src:fragref linkend="annotation.css.frag"></src:fragref>
    <src:fragref linkend="annotation.js.frag"></src:fragref>
    <src:fragref linkend="annotation.graphic.open.frag"></src:fragref>
    <src:fragref linkend="annotation.graphic.close.frag"></src:fragref>
    <src:fragref linkend="annotation.support.frag"></src:fragref>
    <src:fragref linkend="appendix.autolabel.frag"></src:fragref>
    <src:fragref linkend="author.othername.in.middle.frag"></src:fragref>
    <src:fragref linkend="autotoc.label.separator.frag"></src:fragref>
    <src:fragref linkend="autotoc.label.in.hyperlink.frag"></src:fragref>
    <src:fragref linkend="base.dir.frag"></src:fragref>
    <src:fragref linkend="biblioentry.item.separator.frag"></src:fragref>
    <src:fragref linkend="bibliography.collection.frag"></src:fragref>
    <src:fragref linkend="bibliography.numbered.frag"></src:fragref>
    <src:fragref linkend="bibliography.style.frag"></src:fragref>
    <src:fragref linkend="blurb.on.titlepage.enabled.frag"></src:fragref>
    <src:fragref linkend="bridgehead.in.toc.frag"></src:fragref>
    <src:fragref linkend="callout.defaultcolumn.frag"></src:fragref>
    <src:fragref linkend="callout.graphics.extension.frag"></src:fragref>
    <src:fragref linkend="callout.graphics.frag"></src:fragref>
    <src:fragref linkend="callout.graphics.number.limit.frag"></src:fragref>
    <src:fragref linkend="callout.graphics.path.frag"></src:fragref>
    <src:fragref linkend="callout.list.table.frag"></src:fragref>
    <src:fragref linkend="callout.unicode.frag"></src:fragref>
    <src:fragref linkend="callout.unicode.number.limit.frag"></src:fragref>
    <src:fragref linkend="callout.unicode.start.character.frag"></src:fragref>
    <src:fragref linkend="callouts.extension.frag"></src:fragref>
    <src:fragref linkend="chapter.autolabel.frag"></src:fragref>
    <src:fragref linkend="chunk.append.frag"></src:fragref>
    <src:fragref linkend="chunk.first.sections.frag"></src:fragref>
    <src:fragref linkend="chunk.quietly.frag"></src:fragref>
    <src:fragref linkend="chunk.section.depth.frag"></src:fragref>
    <src:fragref linkend="chunk.toc.frag"></src:fragref>
    <src:fragref linkend="chunk.tocs.and.lots.frag"></src:fragref>
    <src:fragref linkend="chunk.tocs.and.lots.has.title.frag"></src:fragref>
    <src:fragref linkend="chunk.separate.lots.frag"></src:fragref>
    <src:fragref linkend="citerefentry.link.frag"></src:fragref>
    <src:fragref linkend="collect.xref.targets.frag"></src:fragref>
    <src:fragref linkend="component.label.includes.part.label.frag"></src:fragref>
    <src:fragref linkend="contrib.inline.enabled.frag"></src:fragref>
    <src:fragref linkend="css.decoration.frag"></src:fragref>
    <src:fragref linkend="current.docid.frag"></src:fragref>
    <src:fragref linkend="default.float.class.frag"></src:fragref>
    <src:fragref linkend="default.image.width.frag"></src:fragref>
    <src:fragref linkend="default.table.width.frag"></src:fragref>
    <src:fragref linkend="default.table.frame.frag"></src:fragref>
    <src:fragref linkend="draft.mode.frag"></src:fragref>
    <src:fragref linkend="draft.watermark.image.frag"></src:fragref>
    <src:fragref linkend="ebnf.table.bgcolor.frag"></src:fragref>
    <src:fragref linkend="ebnf.table.border.frag"></src:fragref>
    <src:fragref linkend="ebnf.assignment.frag"></src:fragref>
    <src:fragref linkend="ebnf.statement.terminator.frag"></src:fragref>
    <src:fragref linkend="eclipse.autolabel.frag"></src:fragref>
    <src:fragref linkend="eclipse.plugin.name.frag"></src:fragref>
    <src:fragref linkend="eclipse.plugin.id.frag"></src:fragref>
    <src:fragref linkend="eclipse.plugin.provider.frag"></src:fragref>
    <src:fragref linkend="editedby.enabled.frag"></src:fragref>
    <src:fragref linkend="email.delimiters.enabled.frag"></src:fragref>
    <src:fragref linkend="emphasis.propagates.style.frag"></src:fragref>
    <src:fragref linkend="entry.propagates.style.frag"></src:fragref>
    <src:fragref linkend="exsl.node.set.available.frag"></src:fragref>
    <src:fragref linkend="firstterm.only.link.frag"></src:fragref>
    <src:fragref linkend="footer.rule.frag"></src:fragref>
    <src:fragref linkend="footnote.number.format.frag"></src:fragref>
    <src:fragref linkend="footnote.number.symbols.frag"></src:fragref>
    <src:fragref linkend="formal.procedures.frag"></src:fragref>
    <src:fragref linkend="formal.title.placement.frag"></src:fragref>
    <src:fragref linkend="funcsynopsis.decoration.frag"></src:fragref>
    <src:fragref linkend="funcsynopsis.style.frag"></src:fragref>
    <src:fragref linkend="function.parens.frag"></src:fragref>
    <src:fragref linkend="generate.id.attributes.frag"></src:fragref>
    <src:fragref linkend="generate.index.frag"></src:fragref>
    <src:fragref linkend="generate.legalnotice.link.frag"></src:fragref>
    <src:fragref linkend="generate.revhistory.link.frag"></src:fragref>
    <src:fragref linkend="generate.manifest.frag"></src:fragref>
    <src:fragref linkend="generate.meta.abstract.frag"></src:fragref>
    <src:fragref linkend="generate.section.toc.level.frag"></src:fragref>
    <src:fragref linkend="generate.toc.frag"></src:fragref>
    <src:fragref linkend="glossary.collection.frag"></src:fragref>
    <src:fragref linkend="glossary.sort.frag"></src:fragref>
    <src:fragref linkend="glossentry.show.acronym.frag"></src:fragref>
    <src:fragref linkend="glossterm.auto.link.frag"></src:fragref>
    <src:fragref linkend="graphic.default.extension.frag"></src:fragref>
    <src:fragref linkend="graphicsize.extension.frag"></src:fragref>
    <src:fragref linkend="graphicsize.use.img.src.path.frag"></src:fragref>
    <src:fragref linkend="header.rule.frag"></src:fragref>
    <src:fragref linkend="highlight.default.language.frag"></src:fragref>
    <src:fragref linkend="highlight.source.frag"></src:fragref>
    <src:fragref linkend="highlight.xslthl.config.frag"></src:fragref>
    <src:fragref linkend="html.append.frag"></src:fragref>
    <src:fragref linkend="html.base.frag"></src:fragref>
    <src:fragref linkend="html.cellpadding.frag"></src:fragref>
    <src:fragref linkend="html.cellspacing.frag"></src:fragref>
    <src:fragref linkend="html.cleanup.frag"></src:fragref>
    <src:fragref linkend="html.ext.frag"></src:fragref>
    <src:fragref linkend="html.extra.head.links.frag"></src:fragref>
    <src:fragref linkend="html.head.legalnotice.link.types.frag"></src:fragref>
    <src:fragref linkend="html.head.legalnotice.link.multiple.frag"></src:fragref>
    <src:fragref linkend="html.longdesc.frag"></src:fragref>
    <src:fragref linkend="html.longdesc.link.frag"></src:fragref>
    <src:fragref linkend="html.stylesheet.frag"></src:fragref>
    <src:fragref linkend="html.stylesheet.type.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.alias.file.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.autolabel.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.back.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.forward.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.hideshow.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.home.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.home.url.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.jump1.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.jump1.title.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.jump1.url.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.jump2.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.jump2.title.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.jump2.url.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.locate.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.next.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.options.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.prev.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.print.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.refresh.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.stop.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.zoom.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.chm.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.default.topic.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.display.progress.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.encoding.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.enhanced.decompilation.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.enumerate.images.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.force.map.and.alias.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhc.binary.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhc.folders.instead.books.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhc.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhc.section.depth.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhc.show.root.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhc.width.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhk.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhp.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhp.tail.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhp.window.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhp.windows.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.map.file.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.only.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.remember.window.position.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.show.advanced.search.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.show.favorities.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.show.menu.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.show.toolbar.text.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.title.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.use.hhk.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.window.geometry.frag"></src:fragref>
    <src:fragref linkend="img.src.path.frag"></src:fragref>
    <src:fragref linkend="id.warnings.frag"></src:fragref>
    <src:fragref linkend="index.method.frag"></src:fragref>
    <src:fragref linkend="index.on.role.frag"></src:fragref>
    <src:fragref linkend="index.links.to.section.frag"></src:fragref>
    <src:fragref linkend="index.on.type.frag"></src:fragref>
    <src:fragref linkend="index.number.separator.frag"></src:fragref>
    <src:fragref linkend="index.term.separator.frag"></src:fragref>
    <src:fragref linkend="index.range.separator.frag"></src:fragref>
    <src:fragref linkend="index.prefer.titleabbrev.frag"></src:fragref>
    <src:fragref linkend="ignore.image.scaling.frag"></src:fragref>
    <src:fragref linkend="inherit.keywords.frag"></src:fragref>
    <src:fragref linkend="insert.xref.page.number.frag"></src:fragref>
    <src:fragref linkend="javahelp.encoding.frag"></src:fragref>
    <src:fragref linkend="keep.relative.image.uris.frag"></src:fragref>
    <src:fragref linkend="l10n.gentext.default.language.frag"></src:fragref>
    <src:fragref linkend="l10n.gentext.language.frag"></src:fragref>
    <src:fragref linkend="l10n.gentext.use.xref.language.frag"></src:fragref>
    <src:fragref linkend="l10n.lang.value.rfc.compliant.frag"></src:fragref>
    <src:fragref linkend="label.from.part.frag"></src:fragref>
    <src:fragref linkend="linenumbering.everyNth.frag"></src:fragref>
    <src:fragref linkend="linenumbering.extension.frag"></src:fragref>
    <src:fragref linkend="linenumbering.separator.frag"></src:fragref>
    <src:fragref linkend="linenumbering.width.frag"></src:fragref>
    <src:fragref linkend="link.mailto.url.frag"></src:fragref>
    <src:fragref linkend="make.graphic.viewport.frag"></src:fragref>
    <src:fragref linkend="make.single.year.ranges.frag"></src:fragref>
    <src:fragref linkend="make.valid.html.frag"></src:fragref>
    <src:fragref linkend="make.year.ranges.frag"></src:fragref>
    <src:fragref linkend="manifest.frag"></src:fragref>
    <src:fragref linkend="manifest.in.base.dir.frag"></src:fragref>
    <src:fragref linkend="manual.toc.frag"></src:fragref>
    <src:fragref linkend="menuchoice.menu.separator.frag"></src:fragref>
    <src:fragref linkend="menuchoice.separator.frag"></src:fragref>
    <src:fragref linkend="navig.graphics.extension.frag"></src:fragref>
    <src:fragref linkend="navig.graphics.frag"></src:fragref>
    <src:fragref linkend="navig.graphics.path.frag"></src:fragref>
    <src:fragref linkend="navig.showtitles.frag"></src:fragref>
    <src:fragref linkend="nominal.image.depth.frag"></src:fragref>
    <src:fragref linkend="nominal.image.width.frag"></src:fragref>
    <src:fragref linkend="nominal.table.width.frag"></src:fragref>
    <src:fragref linkend="olink.base.uri.frag"></src:fragref>
    <src:fragref linkend="olink.debug.frag"></src:fragref>
    <src:fragref linkend="olink.properties.frag"></src:fragref>
    <src:fragref linkend="insert.olink.page.number.frag"></src:fragref>
    <src:fragref linkend="insert.olink.pdf.frag.frag"></src:fragref>
    <src:fragref linkend="prefer.internal.olink.frag"></src:fragref>
    <src:fragref linkend="olink.lang.fallback.sequence.frag"></src:fragref>
    <src:fragref linkend="olink.doctitle.frag"></src:fragref>
    <src:fragref linkend="olink.fragid.frag"></src:fragref>
    <src:fragref linkend="olink.outline.ext.frag"></src:fragref>
    <src:fragref linkend="olink.pubid.frag"></src:fragref>
    <src:fragref linkend="olink.resolver.frag"></src:fragref>
    <src:fragref linkend="olink.sysid.frag"></src:fragref>
    <src:fragref linkend="abstract.notitle.enabled.frag"></src:fragref>
    <src:fragref linkend="othercredit.like.author.enabled.frag"></src:fragref>
    <src:fragref linkend="para.propagates.style.frag"></src:fragref>
    <src:fragref linkend="part.autolabel.frag"></src:fragref>
    <src:fragref linkend="phrase.propagates.style.frag"></src:fragref>
    <src:fragref linkend="pixels.per.inch.frag"></src:fragref>
    <src:fragref linkend="points.per.em.frag"></src:fragref>
    <src:fragref linkend="preface.autolabel.frag"></src:fragref>
    <src:fragref linkend="preferred.mediaobject.role.frag"></src:fragref>
    <src:fragref linkend="process.empty.source.toc.frag"></src:fragref>
    <src:fragref linkend="process.source.toc.frag"></src:fragref>
    <src:fragref linkend="profile.arch.frag"></src:fragref>
    <src:fragref linkend="profile.audience.frag"></src:fragref>
    <src:fragref linkend="profile.attribute.frag"></src:fragref>
    <src:fragref linkend="profile.condition.frag"></src:fragref>
    <src:fragref linkend="profile.conformance.frag"></src:fragref>
    <src:fragref linkend="profile.lang.frag"></src:fragref>
    <src:fragref linkend="profile.os.frag"></src:fragref>
    <src:fragref linkend="profile.revision.frag"></src:fragref>
    <src:fragref linkend="profile.revisionflag.frag"></src:fragref>
    <src:fragref linkend="profile.role.frag"></src:fragref>
    <src:fragref linkend="profile.security.frag"></src:fragref>
    <src:fragref linkend="profile.separator.frag"></src:fragref>
    <src:fragref linkend="profile.status.frag"></src:fragref>
    <src:fragref linkend="profile.userlevel.frag"></src:fragref>
    <src:fragref linkend="profile.value.frag"></src:fragref>
    <src:fragref linkend="profile.vendor.frag"></src:fragref>
    <src:fragref linkend="profile.wordsize.frag"></src:fragref>
    <src:fragref linkend="punct.honorific.frag"></src:fragref>
    <src:fragref linkend="qanda.defaultlabel.frag"></src:fragref>
    <src:fragref linkend="qanda.inherit.numeration.frag"></src:fragref>
    <src:fragref linkend="qanda.in.toc.frag"></src:fragref>
    <src:fragref linkend="qanda.nested.in.toc.frag"></src:fragref>
    <src:fragref linkend="qandadiv.autolabel.frag"></src:fragref>
    <src:fragref linkend="refentry.generate.name.frag"></src:fragref>
    <src:fragref linkend="refentry.generate.title.frag"></src:fragref>
    <src:fragref linkend="refentry.separator.frag"></src:fragref>
    <src:fragref linkend="refentry.xref.manvolnum.frag"></src:fragref>
    <src:fragref linkend="reference.autolabel.frag"></src:fragref>
    <src:fragref linkend="refclass.suppress.frag"></src:fragref>
    <src:fragref linkend="root.filename.frag"></src:fragref>
    <src:fragref linkend="rootid.frag"></src:fragref>
    <src:fragref linkend="runinhead.default.title.end.punct.frag"></src:fragref>
    <src:fragref linkend="runinhead.title.end.punct.frag"></src:fragref>
    <src:fragref linkend="section.autolabel.frag"></src:fragref>
    <src:fragref linkend="section.autolabel.max.depth.frag"></src:fragref>
    <src:fragref linkend="section.label.includes.component.label.frag"></src:fragref>
    <src:fragref linkend="segmentedlist.as.table.frag"></src:fragref>
    <src:fragref linkend="shade.verbatim.frag"></src:fragref>
    <src:fragref linkend="shade.verbatim.style.frag"></src:fragref>
    <src:fragref linkend="show.comments.frag"></src:fragref>
    <src:fragref linkend="show.revisionflag.frag"></src:fragref>
    <src:fragref linkend="simplesect.in.toc.frag"></src:fragref>
    <src:fragref linkend="spacing.paras.frag"></src:fragref>
    <src:fragref linkend="suppress.footer.navigation.frag"></src:fragref>
    <src:fragref linkend="suppress.header.navigation.frag"></src:fragref>
    <src:fragref linkend="suppress.navigation.frag"></src:fragref>
    <src:fragref linkend="table.borders.with.css.frag"></src:fragref>
    <src:fragref linkend="table.cell.border.color.frag"></src:fragref>
    <src:fragref linkend="table.cell.border.style.frag"></src:fragref>
    <src:fragref linkend="table.cell.border.thickness.frag"></src:fragref>
    <src:fragref linkend="table.footnote.number.format.frag"></src:fragref>
    <src:fragref linkend="table.footnote.number.symbols.frag"></src:fragref>
    <src:fragref linkend="table.frame.border.color.frag"></src:fragref>
    <src:fragref linkend="table.frame.border.style.frag"></src:fragref>
    <src:fragref linkend="table.frame.border.thickness.frag"></src:fragref>
    <src:fragref linkend="tablecolumns.extension.frag"></src:fragref>
    <src:fragref linkend="target.database.document.frag"></src:fragref>
    <src:fragref linkend="targets.filename.frag"></src:fragref>
    <src:fragref linkend="textdata.default.encoding.frag"></src:fragref>
    <src:fragref linkend="tex.math.delims.frag"></src:fragref>
    <src:fragref linkend="tex.math.file.frag"></src:fragref>
    <src:fragref linkend="tex.math.in.alt.frag"></src:fragref>
    <src:fragref linkend="textinsert.extension.frag"></src:fragref>
    <src:fragref linkend="toc.list.type.frag"></src:fragref>
    <src:fragref linkend="toc.section.depth.frag"></src:fragref>
    <src:fragref linkend="toc.max.depth.frag"></src:fragref>
    <src:fragref linkend="ulink.target.frag"></src:fragref>
    <src:fragref linkend="use.embed.for.svg.frag"></src:fragref>
    <src:fragref linkend="use.extensions.frag"></src:fragref>
    <src:fragref linkend="use.id.as.filename.frag"></src:fragref>
    <src:fragref linkend="use.local.olink.style.frag"></src:fragref>
    <src:fragref linkend="use.role.as.xrefstyle.frag"></src:fragref>
    <src:fragref linkend="use.role.for.mediaobject.frag"></src:fragref>
    <src:fragref linkend="use.svg.frag"></src:fragref>
    <src:fragref linkend="variablelist.as.table.frag"></src:fragref>
    <src:fragref linkend="variablelist.term.separator.frag"></src:fragref>
    <src:fragref linkend="variablelist.term.break.after.frag"></src:fragref>
    <src:fragref linkend="writing.mode.frag"></src:fragref>
    <src:fragref linkend="xref.with.number.and.title.frag"></src:fragref>
    <src:fragref linkend="xref.label-title.separator.frag"></src:fragref>
    <src:fragref linkend="xref.label-page.separator.frag"></src:fragref>
    <src:fragref linkend="xref.title-page.separator.frag"></src:fragref>

    </xsl:stylesheet>